package control.interfaces;

import entity.Dictionary;
import control.utility.ApplicationEvent;
import control.utility.ApplicationException;

/*
 * **************************************************************************
 *  <p>PaginableUseCase interface
 *
 * --------------------------------------------------------------------------
 * @version     0.1 04/2013
 * @author      Fina Cara
 * --------------------------------------------------------------------------
 * **************************************************************************
 */

public interface PaginableUseCase extends UseCase 
{	
	public ApplicationEvent next(ApplicationEvent appEvent, Dictionary dicc) throws ApplicationException;

	public ApplicationEvent previous(ApplicationEvent appEvent, Dictionary dicc) throws ApplicationException;

	public ApplicationEvent first(ApplicationEvent appEvent, Dictionary dicc) throws ApplicationException;

	public ApplicationEvent last(ApplicationEvent appEvent, Dictionary dicc) throws ApplicationException;
	
}

