package control.utility;
 
/*
 * **************************************************************************
 * <p>BusinessGlobals utility class
 *
 * --------------------------------------------------------------------------
 * @version     0.1 04/2013
 * @author      Fina Cara
 * --------------------------------------------------------------------------
 * **************************************************************************
 */
 
public class BusinessGlobals 
{
	//DTO dictionary constants...
	
	public static String DTO_FIELD_USER_ID      	      = "IdUsuario";
	public static String DTO_FIELD_USER_PWD    	    	  = "Password";
	public static String DTO_FIELD_USER_TIPOUSUARIO		  = "TipoUsuario";
	public static String DTO_FIELD_USER_NOMBRE  	      = "Nombre";
	public static String DTO_FIELD_USER_APELLIDOS	      = "Apellidos";
	public static String DTO_FIELD_USER_FECHANACIMIENTO	  = "FechaNacimiento";
	public static String DTO_FIELD_USER_DIRECCION		  = "Direccion";
	public static String DTO_FIELD_USER_CODIGOPOSTAL	  = "CodigoPOstal";
	public static String DTO_FIELD_USER_PAIS			  = "Pais";
	public static String DTO_FIELD_USER_EMAIL	          = "Email";	
	
	public static String DTO_FIELD_PUBLICATION_ID				= "IdPublicacion";
	public static String DTO_FIELD_PUBLICATION_FECHAPUBLICACION	= "FechaPublicacion";
	public static String DTO_FIELD_PUBLICATION_TEXTO			= "Texto";
	public static String DTO_FIELD_PUBLICATION_IMAGEN			= "Imagen";
	public static String DTO_FIELD_PUBLICATION_FICHEROIMAGEN	= "FicheroImagen";
	public static String DTO_FIELD_PUBLICATION_LINK				= "Link";
	public static String DTO_FIELD_PUBLICATION_ZONA				= "Zona";
	public static String DTO_FIELD_PUBLICATION_BARRIO			= "Barrio";
	public static String DTO_FIELD_PUBLICATION_DIRECCION		= "Direccion";
	
	public static String DTO_FIELD_COMMENT_ID					= "IdComentario";
	public static String DTO_FIELD_COMMENT_IDUSUARIOCOMENTARIO	= "IdUsuarioComentario";
	public static String DTO_FIELD_COMMENT_FECHACOMENTARIO 		= "FechaComentario";
	public static String DTO_FIELD_COMMENT_TEXTO 				= "Texto";
	
	public static String DTO_FIELD_BUSQUEDA_ZONA				= "Zonas";
	public static String DTO_FIELD_BUSQUEDA_BARRIO				= "Barrios";
	public static String DTO_FIELD_BUSQUEDA_USUARIO				= "Usuarios";
	
	//DTO screen input constants...
	 
	public static String DTO_FIELD_SCR0001_USERNAME = "username";

	public static String DTO_FIELD_SCR0001_PASSWORD = "password";
	
	public static String DTO_FIELD_SCR0003_ID         = "id";

	public static String DTO_FIELD_SCR0003_STARTINDEX = "startIndex";
	
	public static String PROFILE_EMPRESA = "E";
	public static String PROFILE_USUARIO = "U";
	
	
	
	//constants...
	
	public static int SYSTEM_NUM_RETRIES_ALLOWED = 5;

	public static String SYSTEM_LOGGED_USER_OBJECT = "SYSTEM_LOGGED_USER_OBJECT";

	public static String SYSTEM_VISIT_COUNTER_OBJECT = "SYSTEM_VISIT_COUNTER_OBJECT";

	public static String SYSTEM_ADMIN_USER = "admin";

	public static String SYSTEM_YES = "Y";

	public static String SYSTEM_NO = "N";
	
	//default constants...
	
	public static int SYSTEM_DEFAULT_PAGE_SIZE = 12;

	public static String SYSTEM_DEFAULT_LANGUAGE = "es";
	
	public static final int SYSTEM_APPEND = 0;

	public static final int SYSTEM_MODIFY = 1;
		
	//entity constants...
	
	public static final char SYSTEM_STATUS_VALID = 'V';

	public static final char SYSTEM_STATUS_INVALID = 'I';

	public static final char SYSTEM_STATUS_WORKING = 'W';
	
	public static String SYSTEM_PROFILE_ADMINISTRATOR = "ADMIN";
	
	public static String SYSTEM_ACCESSLEVEL_BASIC = "BASIC";

	public static String SYSTEM_ACCESSLEVEL_SENSIBLE = "SENSIBLE";
		
}
