package control.utility;

import java.util.Comparator;
import java.util.Date;

import entity.hibernate.Publicacion;

/*
 * **************************************************************************
 *  <p>DateComparator
 *
 * --------------------------------------------------------------------------
 * @version     0.1 04/2013
 * @author      Fina Cara
 * --------------------------------------------------------------------------
 * **************************************************************************
 */

public class DateComparator implements Comparator {
	boolean asc = true;

	public DateComparator(boolean asc) {
		super();
		this.asc = asc;
	}

	public int compare(Object o1, Object o2) {
		Date b1 = ((Publicacion)o1).getFechaPublicacion();
		Date b2 = ((Publicacion)o2).getFechaPublicacion();

		if (asc)
			return b1.compareTo(b2);
		else
			return b1.compareTo(b2) * -1;
	}
}