package control.utility;

/*
 * **************************************************************************
 * <p>JSPDispatcher entity
 *
 * --------------------------------------------------------------------------
 * @version     0.1 04/2013
 * @author      Fina Cara
 * --------------------------------------------------------------------------
 * **************************************************************************
 */

public class JSPDispatcher {

	//entry & navigation...
				
	public static String Layout 				= "Layout";
	public static String MainLayout				= "MainLayout";

	//administration module...
	
	public static String RegistrarUsuario 				= "RegistrarUsuario";
	public static String AccesoUsuario					= "AccesoUsuario";
	public static String PublicarComentario				= "PublicarComentario";
	public static String ComentarPublicacion			= "ComentarPublicacion";
	public static String BuscarPublicacionesCriterios	= "BuscarPublicacionesCriterios";
	public static String BuscarPublicaciones			= "BuscarPublicaciones";
	public static String SeguimientoUsuarios			= "SeguimientoUsuarios";
	
			
	//chain tracing module...
	
	public static String getTarget(String jspID)
	{
		String clientArea = null;
		
		if (jspID.equals(Layout)){
			 clientArea = "/jsp/layouts/utils/LAY0003_Layout.jsp";
		}
		else if (jspID.equals(RegistrarUsuario)){
			 clientArea = "/jsp/layouts/SCR01RegistrarUsuario.jsp";
		}
		else if (jspID.equals(AccesoUsuario)){
			clientArea = "/jsp/layouts/SCR02AccesoUsuario.jsp";
		}
		else if (jspID.equals(PublicarComentario)){
			 clientArea = "/jsp/layouts/SCR03PublicarComentario.jsp";
		}
		else if (jspID.equals(ComentarPublicacion)){
			 clientArea = "/jsp/layouts/SCR04ComentarPublicacion.jsp";
		}
		else if (jspID.equals(BuscarPublicacionesCriterios)){
			 clientArea = "/jsp/layouts/SCR05BuscarPublicacionesCriterios.jsp";
		}
		else if (jspID.equals(BuscarPublicaciones)){
			 clientArea = "/jsp/layouts/SCR05BuscarPublicaciones.jsp";
		}
		else if (jspID.equals(SeguimientoUsuarios)){
			 clientArea = "/jsp/layouts/SCR06SeguimientoUsuarios.jsp";
		}
		else if (jspID.equals(MainLayout)){
			 clientArea = "/jsp/layouts/SCR07MainLayout.jsp";
		}
		return clientArea;	
	}
}
