package entity;

import java.util.HashMap;
import java.util.Set;

/*
 * **************************************************************************
 * <p>Dictionary entity
 *
 * --------------------------------------------------------------------------
 * @version     0.1 04/2013
 * @author      Fina Cara
 * --------------------------------------------------------------------------
 * **************************************************************************
 */
 
public class Dictionary implements Dto {

	private HashMap _data = new HashMap();
	 
	public String[] getMultipleValues(String key) 
	{
		String[] values = (String[]) _data.get(key);  
		return values;
	}

	public String getSingleValue(String key) 
	{
		String value = null;
		Object theObject = _data.get(key);
		
		if (theObject!=null){
			if (theObject instanceof String){
				value = (String)theObject;
			}else{
				value = (String) (((String[]) theObject)[0]);	
			}
		}
			
		return value;
	}

	public void setValue(String key, String value) 
	{
		_data.put(key, value);
	}

	public void setValues(String key, String[] values) 
	{
		_data.put(key, values);
	}
	
	public byte [] getSingleBinaryValue(String key) 
	{
		byte [] value = null;
		Object theObject = _data.get(key);
		
		if (theObject!=null){
			if (theObject instanceof byte []){
				value = (byte [])theObject;
			}else{
				value = (byte []) (((byte[][]) theObject)[0]);	
			}
		}
			
		return value;
	}

	public byte[][] getMultipleBinaryValues(String key) 
	{
		byte[][] values = (byte[][]) _data.get(key);  
		return values;
	}

	public void setBinaryValue(String key, byte [] value) 
	{
		_data.put(key, value);
	}

	public void setBinaryValues(String key, byte[][] values) 
	{
		_data.put(key, values);
	}
	
	public Set getKeys()
	{
		return _data.keySet();
	}
}
