package entity.hibernate;

import java.io.Serializable;

import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;


/*
 * **************************************************************************
 *  <p>BarrioPK entity
 *
 * --------------------------------------------------------------------------
 * @version     0.1 04/2013
 * @author      Hibernate CodeGenerator
 * --------------------------------------------------------------------------
 * **************************************************************************
 */
 
public class BarrioPK implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -95253185988773847L;

	/** identifier field */
   private Integer idZona;

   /** persistent field */
   private Integer idBarrio;

    /** full constructor */
    public BarrioPK(Integer idZona, Integer idBarrio) {
        this.idZona = idZona;
        this.idBarrio = idBarrio;
    }

    /** default constructor */
    public BarrioPK() {
    }


	public Integer getIdZona() {
		return idZona;
	}

	public void setIdZona(Integer integer) {
		idZona = integer;
	}

	public Integer getIdBarrio() {
		return idBarrio;
	}
	
	public void setIdBarrio(Integer integer) {
		idBarrio = integer;
	}
	
    public boolean equals(Object other) {
        if ( (this == other ) ) return true;
        if ( !(other instanceof BarrioPK) ) return false;
        BarrioPK castOther = (BarrioPK) other;
        return new EqualsBuilder()
            .append(this.getIdZona(), castOther.getIdZona())
            .append(this.getIdBarrio(), castOther.getIdBarrio())
            .isEquals();
    }

    public int hashCode() {
        return new HashCodeBuilder()
            .append(getIdZona())
            .append(getIdBarrio())
            .toHashCode();
    }

	public String toString() {
		return new ToStringBuilder(this)
			.append("idZona", getIdZona())
			.append("idBarrio", getIdBarrio())
			.toString();
	}

}
