package entity.hibernate;

import java.io.Serializable;
import java.sql.Blob;
import java.util.List;

import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;

/*
 * **************************************************************************
 *  <p>Zona entity
 *
 * --------------------------------------------------------------------------
 * @version     0.1 04/2013
 * @author      Hibernate CodeGenerator
 * --------------------------------------------------------------------------
 * **************************************************************************
 */
 
public class Zona implements Serializable {


	private static final long serialVersionUID = -3360861106384598819L;

	/** identifier field */
	private Integer idZona;

	/** persistent field */
	private String descripcion;
	
	/** persistent field */
	private Blob mapa;
	
	/** persistent field */
	private List listaBarrios;
	
	/** full constructor */
    public Zona(Integer idZona, String descripcion, Blob mapa) {
        this.idZona = idZona;
        this.descripcion = descripcion;
        this.mapa = mapa;
    }
    
	/** full constructor */
    public Zona(Integer idZona, String descripcion, Blob mapa, List listaBarrios) {
        this.idZona = idZona;
        this.descripcion = descripcion;
        this.mapa = mapa;
        this.listaBarrios = listaBarrios;
    }
    
	/** PK constructor */
	public Zona(Integer idZona) {
		this.idZona = idZona;
	}
	
    /** default constructor */
    public Zona() {
    }

	public Integer getIdZona() {
		return idZona;
	}
	
	public void setIdZona(Integer integer) {
		idZona = integer;
	}
	
	public String getDescripcion() {
		return descripcion;
	}
	
	public void setDescripcion(String string) {
		descripcion = string;
	}

	public Blob getMapa() {
		return mapa;
	}

	public void setMapa(Blob blob) {
		mapa = blob;
	}
	
	public List getListaBarrios() {
		return listaBarrios;
	}

	public void setListaBarrios(List list) {
		listaBarrios = list;
	}

	public boolean equals(Object other) {
		if ( (this == other ) ) return true;
		if ( !(other instanceof Zona) ) return false;
		Zona castOther = (Zona) other;
		return new EqualsBuilder()
			.append(this.getIdZona(), castOther.getIdZona())
			.append(this.getDescripcion(), castOther.getDescripcion())
			.append(this.getMapa(), castOther.getMapa())
			.isEquals();
	}

	public int hashCode() {
		return new HashCodeBuilder()
			.append(getIdZona())
			.append(getDescripcion())
			.append(getMapa())
			.toHashCode();
	}

	public String toString() {
		return new ToStringBuilder(this)
			.append("idZona", getIdZona())
			.toString();
	}

}
