package usecase;
 
import control.interfaces.UseCase;
import control.utility.ApplicationEvent;
import control.utility.ApplicationException;
import control.utility.ApplicationStore;
import control.utility.Utility;
import entity.Dictionary;

/*
 * **************************************************************************
 *  <p>Logout use case class
 *
 * --------------------------------------------------------------------------
 * @version     0.1 04/2013
 * @author      Fina Cara
 * --------------------------------------------------------------------------
 * **************************************************************************
 */

public class Logout implements UseCase
{
	private ApplicationStore _as = null;

	public Logout(ApplicationStore as, Dictionary dicc)
	{
		_as = as;
	}
	
	public ApplicationEvent start() throws ApplicationException
	{
		//reload login use case...
		
		Utility.setLoggedUser(_as, null);
		
		AccesoUsuario login = new AccesoUsuario(_as, new Dictionary());
		return login.start();
	}

}
