/*
 * **************************************************************************
 * @(#)ajax.js	11/2010
 * --------------------------------------------------------------------------
 * Copyright (c) 2007 T-Systems Iberia. All Rights Reserved.
 * **************************************************************************
 */
 
 /*
 * **************************************************************************
 * --------------------------------------------------------------------------
 * @version     0.1 11/2010
 * @author      igil
 * --------------------------------------------------------------------------
 * **************************************************************************
 */

//ajax control
var ajax = null;
var READY_STATE_UNINITIALIZED = 0;
var READY_STATE_LOADING = 1;
var READY_STATE_LOADED = 2;
var READY_STATE_INTERACTIVE = 3;
var READY_STATE_COMPLETE = 4;

function doRedirectAjax(dynamicContentRoot, servlet, eventType, eventParameter, useCase, callbackFunction, formName) {
	var url = enviarFormulario(doRedirect(dynamicContentRoot, servlet, eventType, eventParameter, useCase),formName);
	ajax = ObtenerObjetoAjax();
	ajax.onreadystatechange = callbackFunction;
	ajax.open( "POST", url, true );
	ajax.send( "" );
}

function enviarFormulario(url, formid){
	var Formulario = document.getElementById(formid);
    var longitudFormulario = Formulario.elements.length;
    var cadenaFormulario = "";
    var sepCampos = "&";
    for (var i=0; i <= Formulario.elements.length-1;i++) {
    	if (Formulario.elements[i].type=='checkbox'){
    		if (Formulario.elements[i].checked==true){
	    		cadenaFormulario += sepCampos+Formulario.elements[i].name+'='+encodeURI(Formulario.elements[i].value);
    		}
    	}
        else cadenaFormulario += sepCampos+Formulario.elements[i].name+'='+encodeURI(Formulario.elements[i].value);
    }
    return url + cadenaFormulario
}

function doRedirect(dynamicContentRoot, servlet, eventType, eventParameter, useCase) {
	var strUrl = dynamicContentRoot + servlet;
	strUrl += "?event_type=" + eventType;
	strUrl += "&event_parameter=" + eventParameter;
	strUrl += "&event_usecase=" + useCase;
	return strUrl;
}

function ObtenerObjetoAjax() {

    var peticionHttp = null;
    try {
        //Comprobacin para navegadores Firefox, Opera y Safari
        if (window.XMLHttpRequest) {
            peticionHttp = new XMLHttpRequest();
        }
        //Comprobacin para navegadores IE
        else if (window.ActiveXObject) {
            //Comprobamos para JavaScript 5.0. Si da error,
            //creamos un objeto con la versin anterior
            try {
                peticionHttp = new ActiveXObject("Microsoft.XMLHTTP2");
            }
            catch (e1) {
                peticionHttp = new ActiveXObject("Microsoft.XMLHTTP");
            }
        }
        //Comprobacin para IceBrowser
        else if (window.createRequest) {
            peticionHttp = window.createRequest();
        }
        //Si el navegador no soporta ajax retornamos null
        else {
            peticionHttp = null;
        }
    }
    catch (e2) {
        return null;
    }
    return peticionHttp;
}
