/*
 * **************************************************************************
 * @(#)comun.js	04/2007
 * --------------------------------------------------------------------------
 * Copyright (c) 2007 T-Systems Iberia. All Rights Reserved.
 * **************************************************************************
 */
 
 /*
 * **************************************************************************
 * --------------------------------------------------------------------------
 * @version     0.1 04/2007
 * @author      scar Triguero
 * --------------------------------------------------------------------------
 * **************************************************************************
 */

var show = 0;
function doBusiness(dynamicContentRoot, servlet, formName, eventType, eventParameter, useCase) {
	var obj = getObject(formName);
	obj.action = doRedirect(dynamicContentRoot, servlet, eventType, eventParameter, useCase);
	if (obj.onsubmit != null) {
		obj.onsubmit();
	}
	obj.submit();
}

function changeTitleImage(source){
	top.applicationArea2.document.imageTitle.src=source;
}

function getObject(objectName) {
	return document.getElementById(objectName);
}

function doRedirect(dynamicContentRoot, servlet, eventType, eventParameter, useCase) {
//	var tmpavi
//	tmpavi = "doRedirect" + "\ndynamicContentRoot: "  + dynamicContentRoot + "\n servlet: " +  servlet +   " \neventType:" + eventType + "\neventParameter: " + eventParameter + "\nuseCase:" + useCase
//	alert(tmpavi)
	
	var strUrl = dynamicContentRoot + servlet;
	strUrl += "?event_type=" + eventType;
	strUrl += "&event_parameter=" + eventParameter;
	strUrl += "&event_usecase=" + useCase;
	
	//alert(strUrl);
	return strUrl;
}

function doRedirectExtraParameters(dynamicContentRoot, servlet, eventType, eventParameter, extraParameter, useCase, extra) {
	var strUrl = dynamicContentRoot + servlet;
	strUrl += "?event_type=" + eventType;
	strUrl += "&event_parameter=" + eventParameter;
	strUrl += "&event_extra_parameters=" + extraParameter;
	if (extra!=null){
		strUrl += "&event_extra_parameters=" + extra;
	}
	strUrl += "&event_usecase=" + useCase;
	document.location=strUrl;
}

function doCheckBoxAll(nameCheckBox, flag) {
	setSelects(document.all[nameCheckBox], flag);
}

function setSelects(objCheckBox, flag) {
	var size = getSize(objCheckBox);
	var obj;

	for (var i = 0; i < size; i++) {
		if (size == 1)
			obj = objCheckBox;
		else
			obj = objCheckBox[i];

		if (flag == 1)
			obj.checked = true;
		else
			obj.checked = false;
	}

	return;
}

function getSize(objCheckBox) {
	var size = 0;

	try {
		size = objCheckBox.length;
		var isArray = isNaN(size);

		if (isArray)
			size = 1;
	} catch (e) {
	}

	return size;
}

function doConfirm (idCheckBox, mensaje) {
	var objCheckBox = document.all[idCheckBox];
	var sizeCheckBox = getSize(objCheckBox);
	var obj;
	var size = 0;
		
	for (var i = 0; i < sizeCheckBox; i++) {
		if (sizeCheckBox == 1)
			obj = objCheckBox;
		else
			obj = objCheckBox[i];

		if (obj.checked) size++;
	}
	if (size == 0) return false;
	
	return confirm(mensaje);
}

function redirectWithVars(contentRoot, pagina, nombres) {

 // pagina = contentRoot+pagina;
  
 // pagina +="?";
 // alert(pagina);
  var nomVec = nombres.split(",");
  for (i=0; i<nomVec.length; i++){
    //pagina += nomVec[i] + "=" + escape(eval(nomVec[i]))+"&";
    pagina += (nomVec[i]+ "=" );
    alert(escape(eval(nomVec[i])));
    
  }
  pagina = pagina.substring(0,pagina.length-1);
  //location.href=pagina;
  return pagina;
}

function changeTitle(modulo, funcion, staticRoot){

	top.functionNameArea.document.open();
	top.functionNameArea.document.write(
		'<LINK href="'+staticRoot+'theme/dtree.css" rel="stylesheet" type="text/css">'+
		'<TABLE border="0" cellpadding="0" height="30" width="100%" cellspacing="0"><TBODY>'+
		'<TR><TD align="right" class="dtree">'+'<IMG border="0" src="'+staticRoot+'images/functionTree/open.gif">&nbsp;'+
		modulo+
		'</TD></TR>'+
		'<TR><TD align="right" class="dtree">'+'<IMG border="0" src="'+staticRoot+'images/functionTree/blue-ball.gif">&nbsp;'+
		'<STRONG>'+funcion+'</STRONG>'+
		'</TD></TR>'+
		'</TBODY></TABLE>'
	);
	top.functionNameArea.document.close();
}

function doOpenHelpPage(url, language, idAncla) {
	//alert(idAncla);
	if (url != "") {
		params = 'width=700, height=500, scrollbars=yes, resizable=yes';
		if (idAncla.length>0) url = url + '_' + language + '.htm#'+idAncla;
		else url = url + '_' + language + '.htm';
		var newwin = window.open(url, '', params);
	}
}

function createLayer(idLayer,visible){	
	var layer = document.getElementById(idLayer);
	layer.style.top='75px'; 
	layer.style.right='5%'; 
	layer.style.width='90%'; 
	layer.style.height='80%';
	layer.style.zindex=1; 
	layer.style.border='medium solid #C10001'; 
	layer.style.filter='progid:DXImageTransform.Microsoft.GradientWipe(duration=1,GradientSize=0.1, wipeStyle=1)';
	if (visible.toString()=='true'){
		layer.style.visibility='visible';
	}else layer.style.visibility='hidden';
	layer.filters[0].Apply();
	layer.filters[0].Play();
	layer.style.background='white'; 
}

function destroyLayer(idLayer){
	var layer = document.getElementById(idLayer);
	layer.style.visibility='hidden';
}

function downloadFile(dynamicContentRoot, servlet, idFile, useCase){
	var strUrl = dynamicContentRoot + servlet;
	strUrl += "?event_type=DOWNLOAD_FILE";
	strUrl += "&event_parameter=" + idFile;
	strUrl += "&event_usecase=" + useCase;
	document.location=strUrl;
}

function downloadFormFile(dynamicContentRoot, servlet, idFile, useCase, formName) {
	var obj = getObject(formName);
	var strUrl = dynamicContentRoot + servlet;
	strUrl += "?event_type=DOWNLOAD_FILE";
	strUrl += "&event_parameter=" + idFile;
	strUrl += "&event_usecase=" + useCase;
	obj.action = strUrl;
	if (obj.onsubmit != null) {
		obj.onsubmit();
	}
	obj.submit();
}

function downloadFormFiles(dynamicContentRoot, servlet, idFile, useCase, formName) {
	var obj = getObject(formName);
	var strUrl = dynamicContentRoot + servlet;
	strUrl += "?event_type=ACCEPT_WITH_FILES";
	strUrl += "&event_parameter=" + idFile;
	strUrl += "&event_usecase=" + useCase;
	obj.action = strUrl;
	if (obj.onsubmit != null) {
		obj.onsubmit();
	}
	obj.submit();
}

function refreshURLHelp(id,block){
	if (block != null) {
		top.applicationArea.document.forms[0].ANCLA.value = id;
	}
	else top.applicationArea2.document.forms[0].ANCLA.value = id;
}

function back(){
	window.history.back();
}

function checkDateFormat(input,errorText){
	if (input.value==null || input.value.length==0) return true;
	var validformat=/^\d{2}\/\d{2}\/\d{4}$/; //Basic check for format validity
	var returnval=false;
	if (!validformat.test(input.value)){
		errorText=errorText.replace(/\{0\}/g,input.title);
		alert(errorText);
	}	
	else{ //Detailed check for valid date ranges
		var monthfield=input.value.split("/")[1];
		var dayfield=input.value.split("/")[0];
		var yearfield=input.value.split("/")[2];
		var dayobj = new Date(yearfield, monthfield-1, dayfield);
		if ((dayobj.getMonth()+1!=monthfield)||(dayobj.getDate()!=dayfield)||(dayobj.getFullYear()!=yearfield)){
			errorText=errorText.replace(/\{0\}/g,input.title);
			alert(errorText);
		}
		else
			returnval=true;
	}
	
	if (returnval==false) input.select();
	return returnval;
}

function checkDateTimeFormat(input,errorText){
	if (input.value==null || input.value.length==0) return true;
	var validformat=/^\d{2}\/\d{2}\/\d{4}$/; //Basic check for format validity
	var returnval=false;
	if (!validformat.test((input.value).substring(0,10)) || 
	    	(input.value).substring(10,11) != " " || 
	    	(input.value).substring(13,14) != ":" ||
	    	(input.value).substring(16,17) != ":" ){
		errorText=errorText.replace(/\{0\}/g,input.title);
		alert(errorText);
	}
	else{ //Detailed check for valid date ranges
		var monthfield=input.value.split("/")[1];
		var dayfield=input.value.split("/")[0];
		var auxyearfield=input.value.split("/")[2];
		var yearfield=auxyearfield.split(" ")[0];
		var time=auxyearfield.split(" ")[1];
		var hours=time.split(":")[0];
		var minuts=time.split(":")[1];
		var seconds=time.split(":")[2];
		
		var dayobj = new Date(yearfield, monthfield-1, dayfield, hours, minuts, seconds);
		if ((dayobj.getMonth()+1!=monthfield)||(dayobj.getDate()!=dayfield)||(dayobj.getFullYear()!=yearfield)
				|| (dayobj.getHours()!=hours) || (dayobj.getMinutes()!=minuts) || (dayobj.getSeconds()!=seconds) ){
			errorText=errorText.replace(/\{0\}/g,input.title);
			alert(errorText);
		}
		else
			returnval=true;
	}
	
	if (returnval==false) input.select();
	return returnval;
}

function checkMandatoryField(input,errorText){

	if (input.value.length==0){
		errorText=errorText.replace(/\{0\}/g,input.title);
		alert(errorText);
		input.select();
		return false;
	}
	else return true;
}

function checkNumberFormat(input,errorText){

	var x=input.value;
	var anum=/(^\d+$)|(^\d+\.\d+$)/;
	if (!anum.test(x)){
		errorText=errorText.replace(/\{0\}/g,input.title);
		alert(errorText);
		input.select();
	}
	else return true;
}

function checkTelephoneFormat(input,errorText){

	var x=input.value;
	if (x==null || x.length==0) return true;
	var anum=/^\+?\(?\d{0,3}\)?\d+$/;
	if (!anum.test(x)){
		errorText=errorText.replace(/\{0\}/g,input.title);
		alert(errorText);
		input.select();
	}
	else return true;
}

function checkEmailFormat(input,errorText){

	var x=input.value;
	if (x==null || x.length==0) return true;
	var anum=/^\w+.*(\w+.\w+)*@\w+.(\w+.)*\w+$/;
	if (!anum.test(x)){
		errorText=errorText.replace(/\{0\}/g,input.title);
		alert(errorText);
		input.select();
	}
	else return true;
}

function checkLength(input,min,max,errorText){

	var text = input.value;
	
	if (text.length<min || text.length>max){
		errorText=errorText.replace(/\{0\}/g,input.title);
		errorText=errorText.replace(/\{1\}/g,min.toString());
		errorText=errorText.replace(/\{2\}/g,max.toString());
		alert(errorText);
		input.select();
		return false;
	}
	
	return true;
}

function refreshAnimation(idtag)
{
	if (document.all && idtag != "") 
	{
		document.images[idtag].src = document.images[idtag].src;
	}
}

function checkSizeMinor(n,idTable,errorText){
	var tBody = document.getElementById(idTable);
	if (tBody.rows.length<=n){
		alert(errorText);
		return false;
	}
	return true;
}

function creaDateFromText(text){
		var month=parseInt(text.split("/")[1]);
		var day=parseInt(text.split("/")[0]);
		var year=parseInt(text.split("/")[2]);
		return new Date(year,(month-1),day);
}

function checkRadioButton(btn) {
    var cnt = -1;
    for (var i=btn.length-1; i > -1; i--) {
        if (btn[i].checked) {cnt = i; i = -1;}
    }
    if (cnt > -1) return btn[cnt].value;
    else return null;
}	

/**
 * Verifica si la data desde es superior a la data hasta
 *
 */
function compareDate (fromDate, toDate) {
				
	if (fromDate > toDate) 
		 return 1;
	else if (fromDate < toDate) 
		return -1;
	else 
		return 0;
}

