<!--
 
/*
 * **************************************************************************
 * <p>SCR1RegistrarUsuario.jsp
 *
 * --------------------------------------------------------------------------
 * @version     0.1 04/2013
 * @author      Fina Cara
 * --------------------------------------------------------------------------
 * **************************************************************************
 */
 
-->


<html>
<head>

	<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1" %> 
	
	<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %> 
	<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %> 
	<%@ taglib uri="/WEB-INF/struts-tiles.tld" prefix="tiles" %>
	<%@ taglib uri="/WEB-INF/taglibs-i18n.tld" prefix="i18n" %>
	
	<%@ page import="control.utility.ApplicationGlobals" %> 		
	<%@ page import="control.utility.ApplicationStore" %> 	
	<%@ page import="control.utility.BusinessGlobals" %>
	<%@ page import="control.utility.ApplicationEvent" %>
	<%@ page import="control.utility.Utility" %>	
	<%@ page import="entity.Envelope" %>
	<%@ page import="entity.hibernate.Usuario" %>

	<%@ page import="java.util.Date" %>
	<%@ page import="java.text.SimpleDateFormat" %>
	
	<script language="JavaScript" src="<%= ApplicationGlobals.DEFAULT_STATIC_ROOT %>js/comun.js" type="text/javaScript"></script>
	<script language="JavaScript" src="<%= ApplicationGlobals.DEFAULT_STATIC_ROOT %>js/utils.js" type="text/javaScript"></script>	
	<tiles:insert page="/jsp/layouts/utils/HEAD001_LanguageData.jsp" flush="true"/>
	<tiles:insert page="/jsp/layouts/utils/LAY0001_Header.jsp" flush="true"/>
	
</head>

	<%
		ApplicationStore appStore = new ApplicationStore(session);
		String useCaseName = appStore.getEvent().getActiveUseCase().getClass().getName();
	
		ApplicationEvent appEvent = appStore.getEvent();
		Envelope env = (Envelope)appEvent.getDto(); 
		
		Object[] params = (env!=null && env.getContent()!=null)?(Object[])env.getContent():new Object[0];

	 	Usuario usuario	= (params.length > 0 && params[0]!=null)? (Usuario)params[0] : new Usuario();
		
	%>

<BODY>	  
<form id="b" method="post" name="formulario">
<table><tr><td width="100"></td><td>
	<table width="100%">
		<tr>
			<td>
				<b><i18n:message key="scr01.label.email"/></b>
				</td><td colspan="3">
				<input type="text" name="<%= BusinessGlobals.DTO_FIELD_USER_EMAIL %>" value="<%= usuario!=null && usuario.getEmail()!=null ? usuario.getEmail():"" %>" size="100">
			</td>
		</tr>								
		<tr>
			<td>
				<input type="hidden" name="<%= BusinessGlobals.DTO_FIELD_USER_ID %>" value="<%= usuario!=null? usuario.getIdUsuario(): null %>">
				<b><i18n:message key="scr01.label.password"/></b>
				</td><td>
				<input type="password" name="<%= BusinessGlobals.DTO_FIELD_USER_PWD %>" value="<%= usuario!=null && usuario.getPasword()!=null ? usuario.getPasword():"" %>" size="100">
			</td>
		</tr>
		<tr>
			<td>
				<b><i18n:message key="scr01.label.tipoUsuario"/></b>
				</td><td>
				<i18n:message key="scr01.label.tUsuario"/>
				<input type="radio" name="<%= BusinessGlobals.DTO_FIELD_USER_TIPOUSUARIO %>" value="<%= BusinessGlobals.PROFILE_USUARIO %>" <%= usuario!=null && usuario.getTipoUsuario()!=null && usuario.getTipoUsuario().equals(BusinessGlobals.PROFILE_USUARIO)? "CHECKED" :"" %> >
				<i18n:message key="scr01.label.tEmpresa"/>
				<input type="radio" name="<%= BusinessGlobals.DTO_FIELD_USER_TIPOUSUARIO %>" value="<%= BusinessGlobals.PROFILE_EMPRESA %>" <%= usuario!=null && usuario.getTipoUsuario()!=null && usuario.getTipoUsuario().equals(BusinessGlobals.PROFILE_EMPRESA)? "CHECKED" :"" %> >
			</td>
		</tr>								
		<tr>
			<td>
				<b><i18n:message key="scr01.label.nombre"/></b>
				</td><td>
				<input type="text" name="<%= BusinessGlobals.DTO_FIELD_USER_NOMBRE %>" value="<%= usuario!=null && usuario.getNombre()!=null ? usuario.getNombre():"" %>" size="100">
			</td>
		</tr>								
		<tr>
			<td>
				<b><i18n:message key="scr01.label.apellidos"/></b>
				</td><td>
				<input type="text" name="<%= BusinessGlobals.DTO_FIELD_USER_APELLIDOS %>" value="<%= usuario!=null && usuario.getApellidos()!=null ? usuario.getApellidos():"" %>" size="100">
			</td>
		</tr>		
		<tr>
			<td>
				<% 	SimpleDateFormat dtf = new SimpleDateFormat("yyyy-MM-dd hh:mm:ss"); %>
				<b><i18n:message key="scr01.label.fechaNacimiento"/></b>
				</td><td>
				<input type="text" name="<%= BusinessGlobals.DTO_FIELD_USER_FECHANACIMIENTO %>" value="<%= usuario!=null && usuario.getFechaNacimiento()!=null ? dtf.format(usuario.getFechaNacimiento()):"" %>" size="100">
			</td>
		</tr>		
		<tr>
			<td>
				<b><i18n:message key="scr01.label.direccion"/></b>
				</td><td colspan="3">
				<input type="text" name="<%= BusinessGlobals.DTO_FIELD_USER_DIRECCION %>" value="<%= usuario!=null && usuario.getDireccion()!=null? usuario.getDireccion():"" %>" size="100">
			</td>
		</tr>
		<tr>
			<td>
				<b><i18n:message key="scr01.label.codigoPostal"/></b>
				</td><td colspan="3">
				<input type="text" name="<%= BusinessGlobals.DTO_FIELD_USER_CODIGOPOSTAL %>" value="<%= usuario!=null && usuario.getCodigoPostal()!=null ? usuario.getCodigoPostal():"" %>" size="100">
			</td>
		</tr>								
		<tr>
			<td>
				<b><i18n:message key="scr01.label.pais"/></b>
				</td><td colspan="3">
				<input type="text" name="<%= BusinessGlobals.DTO_FIELD_USER_PAIS %>" value="<%= usuario!=null && usuario.getPais()!=null ? usuario.getPais():"" %>" size="100">
			</td>
		</tr>								
		<tr>
			<td colspan="2"></td><td align="left">
				<a class="image" onclick="doBusiness('<%= ApplicationGlobals.DEFAULT_DYNAMIC_ROOT %>', '<%= ApplicationGlobals.SERVLET_NAME %>', 'formulario' ,'<%= ApplicationGlobals.SYSTEM_APPLICATION_EVENT_ACCEPT %>', 'DUMMY', '<%= useCaseName %>');">
				<img border="0"	src="<%= ApplicationGlobals.DEFAULT_STATIC_ROOT %><i18n:message key="button.aceptar"/>"></a>		
			</td>
			<td align="left">
				<a class="image" onclick="doBusiness('<%= ApplicationGlobals.DEFAULT_DYNAMIC_ROOT %>', '<%= ApplicationGlobals.SERVLET_NAME %>', 'formulario' ,'<%= ApplicationGlobals.SYSTEM_APPLICATION_EVENT_CANCEL %>', 'DUMMY', '<%= useCaseName %>');">
				<img border="0"	src="<%= ApplicationGlobals.DEFAULT_STATIC_ROOT %><i18n:message key="button.cancelar"/>"></a>		
			</td>
		</tr>			
	</table>
	</td></tr></table>
</form>

</BODY>
</html>
