<!--
 
/*
 * **************************************************************************
 * <p>SCR4ComentarPublicacion.jsp
 *
 * --------------------------------------------------------------------------
 * @version     0.1 04/2013
 * @author      Fina Cara
 * --------------------------------------------------------------------------
 * **************************************************************************
 */
 
-->


<html>
<head>

	<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1" %> 
	
	<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %> 
	<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %> 
	<%@ taglib uri="/WEB-INF/struts-tiles.tld" prefix="tiles" %>
	<%@ taglib uri="/WEB-INF/taglibs-i18n.tld" prefix="i18n" %>
	
	<%@ page import="control.utility.ApplicationGlobals" %> 
	<%@ page import="control.utility.ApplicationStore" %> 	
	<%@ page import="control.utility.BusinessGlobals" %>
	<%@ page import="control.utility.ApplicationEvent" %>
	<%@ page import="control.utility.Utility" %>	
	<%@ page import="entity.Envelope" %>
	<%@ page import="entity.hibernate.Usuario" %>
	<%@ page import="entity.hibernate.Publicacion" %>
	<%@ page import="entity.hibernate.Comentario" %>
			
	<%@ page import="java.util.Iterator" %>
	<%@ page import="java.util.Date" %>
	<%@ page import="java.text.SimpleDateFormat" %>
		
	<script language="JavaScript" src="<%= ApplicationGlobals.DEFAULT_STATIC_ROOT %>js/comun.js" type="text/javaScript"></script>
	<script language="JavaScript" src="<%= ApplicationGlobals.DEFAULT_STATIC_ROOT %>js/utils.js" type="text/javaScript"></script>	
	
	<tiles:insert page="/jsp/layouts/utils/HEAD001_LanguageData.jsp" flush="true"/>
</head>

	<%
		ApplicationStore appStore = new ApplicationStore(session);
		String useCaseName = appStore.getEvent().getActiveUseCase().getClass().getName();
	
		ApplicationEvent appEvent = appStore.getEvent();
		Envelope env = (Envelope)appEvent.getDto(); 
	 	Object[] params = (env!=null && env.getContent()!=null)?(Object[])env.getContent():new Object[0];

		Usuario usuario = Utility.getLoggedUser(appStore);
	 	Publicacion publicacion	= (params.length > 0 && params[0]!=null)? (Publicacion)params[0] : new Publicacion();
	 	Comentario comentario	= (params.length > 1 && params[1]!=null)? (Comentario)params[1] : new Comentario();
	%>

<BODY>	  
<form id="b" method="post" name="formulario">
<table><tr><td width="100"></td><td>
	<table width="100%">
	<% 	SimpleDateFormat dtf = new SimpleDateFormat("yyyy-MM-dd hh:mm:ss"); %>
				<tr>
					<td>
						<b><i18n:message key="scr07.label.usuarioPublicacion"/></b>
						</td><td>
						<% Usuario usuarioPublicacion = publicacion.getUsuario(); %>
						<input type="text" name="<%= BusinessGlobals.DTO_FIELD_USER_ID %>" value="<%= (usuarioPublicacion.getNombre()!=null && usuarioPublicacion.getApellidos()!=null ? ((usuarioPublicacion.getNombre()!=null ? usuarioPublicacion.getNombre() + " ":"") + (usuarioPublicacion.getApellidos()!=null ? usuarioPublicacion.getApellidos():"")): usuarioPublicacion.getEmail()) %>" size="60" readonly="readonly">
						<input type="hidden" name="<%= BusinessGlobals.DTO_FIELD_PUBLICATION_ID %>" value="<%= publicacion.getIdPublicacion() %>">
						</td><td>
						<b><i18n:message key="scr07.label.fechaPublicacion"/></b>
						</td><td>
						<input type="text" value="<%= dtf.format((Date)publicacion.getFechaPublicacion()) %>" size="25" readonly="readonly">
					</td>
				</tr>
				<tr>
					<td>
						<b><i18n:message key="scr07.label.textoPublicacion"/></b>
						</td><td colspan="3">
						<textarea type="text" cols="100" rows="5" readonly="readonly"><%= publicacion!=null && publicacion.getTexto()!=null? publicacion.getTexto():"" %></textarea>
					</td>
				</tr>
				<tr>
					<td>
						<b><i18n:message key="scr07.label.imagenPublicacion"/></b>
						</td><td colspan="3">
						<% if  (publicacion.getImagen() == null) { %>
						<input type="text" value="<i18n:message key="scr07.label.imagenNoDisponible"/>" size="100" readonly="readonly">
						<% } else { %>
				       <img border="0" src="utils/LAY0004_Image.jsp?img=<%= publicacion.getImagen() %>&publicacion=<%= publicacion.getIdPublicacion() %>" width="100" >
						<% } %>					</td>
				</tr>
				<tr>
					<td>
						<b><i18n:message key="scr07.label.linkPublicacion"/></b>
						</td><td colspan="3">
						<input type="text" value="<%= publicacion.getLink() %>" size="100" readonly="readonly">
					</td>
				</tr>								
				<tr>
					<td>
						<b><i18n:message key="scr07.label.zonaPublicacion"/></b>
						</td><td>
						<input type="text" value="<%= publicacion.getZona().getDescripcion() %>" size="40" readonly="readonly">
						</td><td>
						<b><i18n:message key="scr07.label.barrioPublicacion"/></b> 
						</td><td>
						<input type="text" value="<%= publicacion.getBarrio().getDescripcion() %>" size="40" readonly="readonly">
					</td>
				</tr>
				<tr>
					<td>
						<b><i18n:message key="scr07.label.direccionPublicacion"/></b>
						</td><td colspan="3">
						<input type="text" value="<%= publicacion.getDireccion() %>" size="100" readonly="readonly">
					</td>
				</tr>
				
				<tr>
					<td colspan="4">
						<b><i18n:message key="scr07.label.titleComentarios"/></b>
					</td>
				</tr>
				<tr><td></td><td colspan="3"><table>				
			<%  if (publicacion.getListaComentarios()!=null) {
				Iterator co = publicacion.getListaComentarios().iterator();
			 	while (co.hasNext()) {
					Comentario comentarioPublicacion = (Comentario)co.next(); %>
					<tr>
						<td>
							<b><i18n:message key="scr07.label.usuarioComentario"/></b>
							</td><td>
							<% Usuario usuarioComentario = comentarioPublicacion.getUsuario(); %>
							<input type="text" value="<%= (usuarioComentario.getNombre()!=null && usuarioComentario.getApellidos()!=null ? ((usuarioComentario.getNombre()!=null ? usuarioComentario.getNombre() + " ":"") + (usuarioComentario.getApellidos()!=null ? usuarioComentario.getApellidos():"")): usuarioComentario.getEmail()) %>" size="60" readonly="readonly">
							</td><td>
							<b><i18n:message key="scr07.label.fechaComentario"/></b>
							</td><td>
							<input type="text" value="<%= dtf.format((Date)comentarioPublicacion.getFechaComentario()) %>" size="25" readonly="readonly">
						</td>
					</tr>
					<tr>
						<td>
							<b><i18n:message key="scr07.label.textoComentario"/></b>
							</td><td colspan="3">
							<textarea type="text" cols="90" rows="5" readonly="readonly"><%= comentarioPublicacion.getTexto() %></textarea>
						</td>
					</tr>
			<%	} }  %>
			</table></td></tr>
		<tr>
			<td>
				<input type="hidden" name="<%= BusinessGlobals.DTO_FIELD_COMMENT_IDUSUARIOCOMENTARIO %>" value="<%= usuario.getIdUsuario() %>">
				<b><i18n:message key="scr07.label.fechaComentario"/></b>
				</td><td colspan="3">
				<input type="text" name="<%= BusinessGlobals.DTO_FIELD_COMMENT_FECHACOMENTARIO %>" value="<%= dtf.format((Date)comentario.getFechaComentario()) %>" size="25" readonly="readonly">
			</td>
		</tr>
		<tr>
			<td>
				<b><i18n:message key="scr07.label.textoComentario"/></b>
				</td><td colspan="3">
				<textarea type="text" name="<%= BusinessGlobals.DTO_FIELD_COMMENT_TEXTO %>"cols="100" rows="5"><%= comentario != null && comentario.getTexto() != null ? comentario.getTexto():"" %></textarea>
			</td>
		</tr>
		<tr>
		 <td colspan="2"></td>
			<td align="left">
				<a class="image" onclick="doBusiness('<%= ApplicationGlobals.DEFAULT_DYNAMIC_ROOT %>', '<%= ApplicationGlobals.SERVLET_NAME %>', 'formulario' ,'<%= ApplicationGlobals.SYSTEM_APPLICATION_EVENT_ACCEPT %>', 'DUMMY', '<%= useCaseName %>');">
				<img border="0"	src="<%= ApplicationGlobals.DEFAULT_STATIC_ROOT %><i18n:message key="button.aceptar"/>"></a>		
			</td>
			<td align="left">
				<a class="image" onclick="doBusiness('<%= ApplicationGlobals.DEFAULT_DYNAMIC_ROOT %>', '<%= ApplicationGlobals.SERVLET_NAME %>', 'formulario' ,'<%= ApplicationGlobals.SYSTEM_APPLICATION_EVENT_CANCEL %>', 'DUMMY', '<%= useCaseName %>');">
				<img border="0"	src="<%= ApplicationGlobals.DEFAULT_STATIC_ROOT %><i18n:message key="button.cancelar"/>"></a>		
			</td>
		</tr>		
	</table>
	</td></tr></table>
</form>

</BODY>
</html>
