<!--
 
/*
 * **************************************************************************
 * <p>SCR07MainLayout.jsp
 *
 * --------------------------------------------------------------------------
 * @version     0.1 04/2013
 * @author      Fina Cara
 * --------------------------------------------------------------------------
 * **************************************************************************
 */
 
-->


<html>
<head>

	<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1" %> 
	
	<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %> 
	<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %> 
	<%@ taglib uri="/WEB-INF/struts-tiles.tld" prefix="tiles" %>
	<%@ taglib uri="/WEB-INF/taglibs-i18n.tld" prefix="i18n" %>
	
	<%@ page import="control.utility.ApplicationGlobals" %> 		
	<%@ page import="control.utility.ApplicationStore" %> 	
	<%@ page import="control.utility.BusinessGlobals" %>
	<%@ page import="control.utility.ApplicationEvent" %>
	<%@ page import="entity.Envelope" %>
	<%@ page import="entity.hibernate.Usuario" %>
	<%@ page import="entity.hibernate.Publicacion" %>
	<%@ page import="entity.hibernate.Comentario" %>

	<%@ page import="usecase.PublicarComentario" %> 	
	<%@ page import="usecase.ComentarPublicacion" %> 
	<%@ page import="usecase.BuscarPublicaciones" %> 
	<%@ page import="usecase.SeguirUsuario" %>
	
	<%@ page import="java.util.ArrayList" %>
	<%@ page import="java.util.List" %>
	<%@ page import="java.util.Iterator" %>
	<%@ page import="java.util.Date" %>
	<%@ page import="java.text.SimpleDateFormat" %>
	
	<script language="JavaScript" src="<%= ApplicationGlobals.DEFAULT_STATIC_ROOT %>js/comun.js" type="text/javaScript"></script>
	<script language="JavaScript" src="<%= ApplicationGlobals.DEFAULT_STATIC_ROOT %>js/utils.js" type="text/javaScript"></script>	
	
	<tiles:insert page="/jsp/layouts/utils/HEAD001_LanguageData.jsp" flush="true"/>
</head>

	<%
		ApplicationStore appStore = new ApplicationStore(session);
		String useCaseName = appStore.getEvent().getActiveUseCase().getClass().getName();
	
		ApplicationEvent appEvent = appStore.getEvent();
		Envelope env = (Envelope)appEvent.getDto(); 
	 	Object[] params = (env!=null && env.getContent()!=null)?(Object[])env.getContent():new Object[0];

	 	Usuario usuario	= (params.length > 0 && params[0]!=null)? (Usuario)params[0] : null;
	 	ArrayList listPublicaciones	= (params.length > 1 && params[1]!=null)? new ArrayList((List)params[1]) : new ArrayList();
	 	ArrayList listSeguimientos	= (params.length > 2 && params[2]!=null)? new ArrayList((List)params[2]) : new ArrayList();

		String useCaseNamePublicarComentario = new PublicarComentario(appStore).getClass().getName();
		String useCaseNameComentarPublicacion = new ComentarPublicacion(appStore).getClass().getName();
		String useCaseNameBuscarPublicaciones = new BuscarPublicaciones(appStore).getClass().getName();
		String useCaseNameSeguirUsuario = new SeguirUsuario(appStore).getClass().getName();

	%>

<BODY>
<form id="b" method="post" name="formulario">
	<table width="100%">
		<tr>
			<td>
			</td>
			<% if (usuario.getTipoUsuario()!=null && BusinessGlobals.PROFILE_USUARIO.equals(usuario.getTipoUsuario())) { %>
			<td>
			
				<a class="image" onclick="doBusiness('<%= ApplicationGlobals.DEFAULT_DYNAMIC_ROOT %>', '<%= ApplicationGlobals.SERVLET_NAME %>', 'formulario' ,'<%= ApplicationGlobals.SYSTEM_APPLICATION_EVENT_MENU_NAVIGATE %>', 'DUMMY', '<%= useCaseNameSeguirUsuario %>');"><img
					border="0" src="<%= ApplicationGlobals.DEFAULT_STATIC_ROOT %><i18n:message key="button.seguir"/>"></a>
			</td>
			<% } %>	
			<td>
				<a class="image" onclick="doBusiness('<%= ApplicationGlobals.DEFAULT_DYNAMIC_ROOT %>', '<%= ApplicationGlobals.SERVLET_NAME %>', 'formulario' ,'<%= ApplicationGlobals.SYSTEM_APPLICATION_EVENT_MENU_NAVIGATE %>', 'DUMMY', '<%= useCaseNamePublicarComentario %>');"><img
					border="0" src="<%= ApplicationGlobals.DEFAULT_STATIC_ROOT %><i18n:message key="button.publicar"/>"></a>
			</td>
			<td>
				<a class="image" onclick="doBusiness('<%= ApplicationGlobals.DEFAULT_DYNAMIC_ROOT %>', '<%= ApplicationGlobals.SERVLET_NAME %>', 'formulario' ,'<%= ApplicationGlobals.SYSTEM_APPLICATION_EVENT_MENU_NAVIGATE %>', 'DUMMY', '<%= useCaseNameBuscarPublicaciones %>');"><img
				border="0" src="<%= ApplicationGlobals.DEFAULT_STATIC_ROOT %><i18n:message key="button.buscar"/>"></a>
		</tr>
	</table>

	<table width="100%">
	<tr>
	<% if (usuario.getTipoUsuario()!=null && BusinessGlobals.PROFILE_USUARIO.equals(usuario.getTipoUsuario())) { %>
	<td valign="top">
		<table width="100%">
		<tr>
			<td>
				<b><i18n:message key="scr07.label.seguimientosUsuario"/></b>
			</td>
		</tr>
	<% 	
		Iterator se = listSeguimientos.iterator();
		while (se.hasNext()) {
			Usuario usuarioSeguido = (Usuario)se.next(); %>
		<tr>
			<td>	
				<input type="text"
					value="<%= usuarioSeguido.getNombre() %> <%= usuarioSeguido.getApellidos() %>"
					size="40" readonly="readonly">
			</td>
		</tr>
	<%	}  %>
		</table>
	</td>
	<% } %>	
	<td>
	<table width="100%">
		<% 	SimpleDateFormat dtf = new SimpleDateFormat("yyyy-MM-dd hh:mm:ss");
			Iterator pu = listPublicaciones.iterator();
			while (pu.hasNext()) {
				Publicacion publicacion = (Publicacion)pu.next(); %>
				<tr>
					<td>
						<b><i18n:message key="scr07.label.usuarioPublicacion"/></b>
						</td><td>
						<% Usuario usuarioPublicacion = publicacion.getUsuario(); %>
						<input type="text" value="<%= (usuarioPublicacion.getNombre()!=null && usuarioPublicacion.getApellidos()!=null ? ((usuarioPublicacion.getNombre()!=null ? usuarioPublicacion.getNombre() + " ":"") + (usuarioPublicacion.getApellidos()!=null ? usuarioPublicacion.getApellidos():"")): usuarioPublicacion.getEmail()) %>" size="60" readonly="readonly">
						</td><td>
						<b><i18n:message key="scr07.label.fechaPublicacion" /></b>
						</td><td>
						<input type="text" value="<%= dtf.format((Date)publicacion.getFechaPublicacion()) %>" size="25" readonly="readonly">
					</td>
				</tr>
				<tr>
					<td>
						<b><i18n:message key="scr07.label.textoPublicacion"/></b>
						</td><td colspan="3">	
						<textarea type="text" cols="100" rows="4" readonly="readonly"><%= publicacion.getTexto() %></textarea>
					</td>
				</tr>
				<tr>
					<td>
						<b><i18n:message key="scr07.label.imagenPublicacion"/></b>
						</td><td colspan="3"> 
						<% if  (publicacion.getImagen() == null) { %>
						<input type="text" value="<i18n:message key="scr07.label.imagenNoDisponible"/>" size="100" readonly="readonly">
						<% } else { %>
						 <img border="0" src="<%= ApplicationGlobals.DEFAULT_DYNAMIC_ROOT %>jsp/layouts/utils/LAY0004_Image.jsp?publicacion=<%= publicacion.getIdPublicacion().toString() %>" width="100" >
						<% } %>
					</td>
				</tr>
				<tr>
					<td>
						<b><i18n:message key="scr07.label.linkPublicacion"/></b>
						</td><td colspan="3">
						<input type="text" value="<%= publicacion.getLink() %>" size="100" readonly="readonly">
					</td>
				</tr>								
				<tr>
					<td>
						<b><i18n:message key="scr07.label.zonaPublicacion"/></b>
						</td><td>
						<input type="text" value="<%= publicacion.getZona()!=null ? publicacion.getZona().getDescripcion():"" %>" size="40" readonly="readonly">
						</td><td>
						<b><i18n:message key="scr07.label.barrioPublicacion" /></b>
						</td><td>
						<input type="text" value="<%= publicacion.getBarrio()!=null ? publicacion.getBarrio().getDescripcion():"" %>" size="40" readonly="readonly">
					</td>
				</tr>
				<tr>
					<td>
						<b><i18n:message key="scr07.label.direccionPublicacion"/></b>
						</td><td colspan="3">
						<input type="text" value="<%= publicacion.getDireccion()!= null ? publicacion.getDireccion():"" %>" size="100" readonly="readonly">
					</td>
				</tr>
				
				<tr>
					<td>
						<b><i18n:message key="scr07.label.titleComentarios"/></b>
					</td>
					<td colspan="3">
						<a class="image" onclick="doBusiness('<%= ApplicationGlobals.DEFAULT_DYNAMIC_ROOT %>', '<%= ApplicationGlobals.SERVLET_NAME %>', 'formulario' ,'<%= ApplicationGlobals.SYSTEM_APPLICATION_EVENT_MENU_NAVIGATE %>', '<%= publicacion.getIdPublicacion() %>', '<%= useCaseNameComentarPublicacion %>');">
						<img border="0"	src="<%= ApplicationGlobals.DEFAULT_STATIC_ROOT %><i18n:message key="button.comentar"/>"></a>		
					</td>
				</tr>	
				<tr><td></td><td colspan="3"><table>
			<%  if (publicacion.getListaComentarios()!=null) {
				Iterator co = publicacion.getListaComentarios().iterator();
			 	while (co.hasNext()) {
					Comentario comentario = (Comentario)co.next(); %>
					<tr>
						<td>
							<b><i18n:message key="scr07.label.usuarioComentario"/></b>
							</td><td>
							<% Usuario usuarioComentario = comentario.getUsuario(); %>
							<input type="text" value="<%= (usuarioComentario.getNombre()!=null && usuarioComentario.getApellidos()!=null ? ((usuarioComentario.getNombre()!=null ? usuarioComentario.getNombre() + " ":"") + (usuarioComentario.getApellidos()!=null ? usuarioComentario.getApellidos():"")): usuarioComentario.getEmail()) %>" size="60" readonly="readonly">
							</td><td>
							<b><i18n:message key="scr07.label.fechaComentario" /></b>
							</td><td>
							<input ype="text" value="<%= dtf.format((Date)comentario.getFechaComentario()) %>" size="25" readonly="readonly">
						</td>
					</tr>
					<tr>
						<td>
							<b><i18n:message key="scr07.label.textoComentario"/></b>
							</td><td colspan="3">
							<textarea type="text" cols="96" rows="4" readonly="readonly"><%= comentario.getTexto() %></textarea>
						</td>
					</tr>
			<%	} } %>
			</table></td></tr>
				<tr>
					<td colspan="4">
						<img border="0" size=100% src="<%= ApplicationGlobals.DEFAULT_STATIC_ROOT %>images/linea.gif" width="100%">
					</td>
				</tr>						
		<%	}  %>
			</table>
		</td>
		</tr>
	</table>
</form>

</BODY>
</html>
