package control.utility;

/*
 * **************************************************************************
 * <p>ApplicationGlobals entity
 *
 * --------------------------------------------------------------------------
 * @version     0.1 04/2013
 * @author      Fina Cara
 * --------------------------------------------------------------------------
 * **************************************************************************
 */
 
public class ApplicationGlobals {
	
	public static final String VERSION = "Sistema APARBAR [despliegue 20/05/2013]";
	
	/* Navigator parameters IDs */
	
	public static final String SYSTEM_PARAM_ID_EVENT = "event_type";
	public static final String SYSTEM_PARAM_ID_EVENT_PARAMETERS = "event_parameter";
	public static final String SYSTEM_PARAM_ID_EVENT_EXTRA_PARAMETERS = "event_extra_parameters";
	public static final String SYSTEM_PARAM_ID_EVENT_USECASE = "event_usecase";

	/* Jsp Events IDs */
	
	//Operations events...
	public static final String SYSTEM_APPLICATION_EVENT_ALTA = "ALTA";	
	public static final String SYSTEM_APPLICATION_EVENT_ACCEPT = "ACCEPT";
	public static final String SYSTEM_APPLICATION_EVENT_ACCEPT_WITH_FILES = "ACCEPT_WITH_FILES";
	public static final String SYSTEM_APPLICATION_EVENT_CANCEL = "CANCEL";
	public static final String SYSTEM_APPLICATION_EVENT_LOGOUT = "LOGOUT";
	public static final String SYSTEM_APPLICATION_EVENT_LOGIN = "LOGIN";
	public static final String SYSTEM_APPLICATION_EVENT_DOWNLOAD_FILE = "DOWNLOAD_FILE";
	public static final String SYSTEM_APPLICATION_EVENT_UPLOAD_FILE = "UPLOAD_FILE";
	public static final String SYSTEM_APPLICATION_EVENT_ACTIVATE = "ACTIVATE";
	public static final String SYSTEM_APPLICATION_EVENT_DEACTIVATE = "DEACTIVATE";
	public static final String SYSTEM_APPLICATION_EVENT_GOHOME= "GOHOME";

	//Tables events...
	public static final String SYSTEM_APPLICATION_EVENT_ITEM_SELECTION = "SELECTED_ENTRY";
	public static final String SYSTEM_APPLICATION_EVENT_SORT_ASCENDING = "ASC";
	public static final String SYSTEM_APPLICATION_EVENT_SORT_DESCENDING = "DESC";
	public static final String SYSTEM_APPLICATION_EVENT_CREATE = "MODIFICATION_ACTION_ADD";
	public static final String SYSTEM_APPLICATION_EVENT_EDIT = "MODIFICATION_ACTION_EDIT";
	public static final String SYSTEM_APPLICATION_EVENT_DELETE = "MODIFICATION_ACTION_DELETE";
	public static final String SYSTEM_APPLICATION_EVENT_PARAM_ROW = "MODIFICATION_ROW";
	public static final String SYSTEM_APPLICATION_EVENT_FILTER_TABLE="FILTER_TABLE";
	public static final String SYSTEM_APPLICATION_EVENT_CONFIRMATION = "CONFIRMATION";

	//Pagination events...
	public static final String SYSTEM_APPLICATION_EVENT_PAGINATION_ACTION = "PAGINATION_ACTION";
	public static final String SYSTEM_APPLICATION_EVENT_FIRST_PAGE = "FIRST_PAGE";
	public static final String SYSTEM_APPLICATION_EVENT_LAST_PAGE = "LAST_PAGE";
	public static final String SYSTEM_APPLICATION_EVENT_PREVIOUS_PAGE = "PREVIOUS_PAGE";
	public static final String SYSTEM_APPLICATION_EVENT_NEXT_PAGE = "NEXT_PAGE";

	//Menu events...
	public static final String SYSTEM_APPLICATION_EVENT_NAVIGATE = "SELECTED_NAVIGATION";
	public static final String SYSTEM_APPLICATION_EVENT_MENU_NAVIGATE = "SELECTED_MENU_NAVIGATION";
	public static final String SYSTEM_APPLICATION_EVENT_RETURN_FROM_ERROR = "RETURN_FROM_ERROR";
	public static final String SYSTEM_APPLICATION_EVENT_CHANGE_TAB = "CHANGE_TAB";	 

	/* System navigation objects */
	
	public static final String SYSTEM_SHOW_EMBEDDED_LAYER = "SHOW_EMBEDDED_LAYER";
	public static final String SYSTEM_SHOW_EMBEDDED_REGISTERED_USER = "SYSTEM_SHOW_EMBEDDED_REGISTERED_USER";
	
	/* Global objects */
	public static final String SYSTEM_REGISTER_NEW_USER_USE_CASE = "evolution.business.usecase.RequestRegisteredUser";
	public static final String SYSTEM_APPLICATION_FILTER_OBJECTS="FILTER_OBJECTS";
	public static final String SYSTEM_CURSOR_IN_LIST = "SYSTEM_CURSOR_IN_LIST";
	
	/* Tables operations objects */
	
	public static final String ORDER_BY = "ORDER_BY";
	public static final String DIRECTION = "DIRECTION";
	public static final String ORDER = "ORDER";
	public static final String ASCENDING = "ASC";
	public static final String DESCENDING = "DESC";
	public static final String MODIFICATION_ACTION = "MODIFICATION_ACTION";
	public static final String MODIFICATION_ROW = "MODIFICATION_ROW";
	public static final String PAGINATION_ACTION = "PAGINATION_ACTION";
	public static final String MODIFICATION_ACTION_ADD = "MODIFICATION_ACTION_ADD";
	public static final String MODIFICATION_ACTION_EDIT = "MODIFICATION_ACTION_EDIT";
	public static final String MODIFICATION_ACTION_DELETE = "MODIFICATION_ACTION_DELETE";

	/* Session user objects ids */
	
	public static final String SYSTEM_LOCALE_LENGUAGE = "SYSTEM_LOCALE_LENGUAGE";
	public static final String SYSTEM_LANGUAGES_LIST = "SYSTEM_LANGUAGES_LIST"; 
	public static final String SYSTEM_PAGE_SIZE_IN_LIST = "SYSTEM_PAGE_SIZE_IN_LIST";
	public static final String SYSTEM_LOGGED_USER_OBJECT = "SYSTEM_LOGGED_USER_OBJECT";
	public static final String SYSTEM_INITIALIZATION_FLAG = "SYSTEM_INITIALIZATION_FLAG"; 

	/* Multipart constats */
	
	public static final int MULTIPARTREQUEST_DEFAULT_MAX_SIZE = 1048576;
	public static final String MULTIPARTREQUEST_DEFAULT_DIRECTORY = ".";
	
	/* DB access values */

	public static String MYSQL_USER = "APARBAR";
	public static String MYSQL_PASSWORD = "APARBAR";
	public static String MYSQL_JNDI = "jdbc/APARBAR_DataSource";
	
	/* System Navigation constants */

	public static String SERVLET_NAME = "Navigator";
	public static String SERVLET_CONTEXT = "/APARBARWeb/";
	public static String DEFAULT_DYNAMIC_ROOT = "/APARBARWeb/";
	public static String DEFAULT_STATIC_ROOT = "/APARBARWeb/";
	public static String DEFAULT_SERVLET_TABLE_IMAGES_PATH = "images/tables/";

	//Hibernate stuff...
	public static String HIBERNATE_FACTORY = "aparbar.hibernate.cfg.xml";
}
