package database.utility;

public class CFiltro {

	private CFiltroCondicion condicion;
	private int booleano;
	private CFiltro siguiente;
	
	public static int AND = 0;
	public static int OR = 1;
	public static int NADA = 2;
	public static int VACIO = 3;
	
	/**
	 * @param condicion
	 * @param booleano
	 * @param siguiente
	 * @param and
	 * @param or
	 */
	public CFiltro(
		CFiltroCondicion condicion,
		int booleano,
		CFiltro siguiente) {
		super();
		this.condicion = condicion;
		this.booleano = booleano;
		this.siguiente = siguiente;
	}

	public CFiltro(CFiltroCondicion condicion) {
		this.condicion = condicion;
		this.booleano = CFiltro.NADA;
		this.siguiente = null;
	}

	public CFiltro() {
	}

	public String toString() {
		return null;
	}

	public int getBooleano() {
		return booleano;
	}

	public void setBooleano(int booleano) {
		this.booleano = booleano;
	}

	public CFiltroCondicion getCondicion() {
		return condicion;
	}

	public void setCondicion(
		CFiltroCondicion condicion) {
		this.condicion = condicion;
	}

	public CFiltro getSiguiente() {
		return siguiente;
	}

	public void addSiguiente(CFiltro siguiente, int booleano) {
		if (condicion == null)
		{
			this.condicion = siguiente.getCondicion();
			this.booleano = CFiltro.NADA;
		}
		else if (this.siguiente != null)
		{
			this.siguiente.addSiguiente(siguiente, booleano);
		}
		else
		{
			this.booleano = booleano;
			this.siguiente = siguiente;
		}
		//this.siguiente = siguiente;
		//this.booleano = booleano;
	}
}