package database.utility;

public class CFiltroCondicion {
	public static String COMPARADOR_MAYOR = ">";
	public static String COMPARADOR_MAYOR_IGUAL = ">=";
	public static String COMPARADOR_MENOR = "<";
	public static String COMPARADOR_MENOR_IGUAL = "<=";
	public static String COMPARADOR_IGUAL = "=";
	public static String COMPARADOR_DIFERENTE = "<>";
	public static String COMPARADOR_LIKE = " LIKE ";
	public static String COMPARADOR_NOT_LIKE = " NOT LIKE ";
	public static String OPERADOR_CONCATENAR =" || ";	
	public static String OPERADOR_UPPER = "UPPER";
	public static String OPERADOR_VACIO = "";
	public static String OPERADOR_TO_DATE = "TO_DATE";

	private String campo;
	private String comparador;
	private String valor;
	private String operadorCampo;
	private String operadorValor;
	private String idioma;
	
	public CFiltroCondicion(String campo, String comparador, String valor) {
		
		this.campo = campo;
		this.comparador = comparador;
		this.valor = valor;

	}

	public CFiltroCondicion(String campo, String comparador, String valor, String operadorCampo, String operadorValor) {
		
		this.campo = campo;
		this.comparador = comparador;
		this.valor = valor;
		this.operadorCampo = operadorCampo;
		this.operadorValor = operadorValor;
	
	}
	
	public CFiltroCondicion(String campo, String comparador, String valor, String operadorCampo, String operadorValor, String codigoIdioma) {
		
		this.campo = campo;
		this.comparador = comparador;
		this.valor = valor;
		this.operadorCampo = operadorCampo;
		this.operadorValor = operadorValor;
		this.idioma = codigoIdioma;
	
	}

	public String toString() {
		return null;
	}

	public String getCampo() {
		return campo;
	}

	public String getComparador() {
		return comparador;
	}

	public String getValor() {
		return valor;
	}

	public void setCampo(String string) {
		campo = string;
	}

	public void setComparador(String string) {
		comparador = string;
	}

	public void setValor(String string) {
		valor = string;
	}

	public String getOperadorCampo() {
		return operadorCampo;
	}

	public String getOperadorValor() {
		return operadorValor;
	}

	public void setOperadorCampo(String string) {
		operadorCampo = string;
	}

	public void setOperadorValor(String string) {
		operadorValor = string;
	}

	public String getIdioma() {
		return idioma;
	}

	public void setIdioma(String string) {
		idioma = string;
	}

}
