package entity.hibernate;

import java.io.Serializable;
import java.sql.Blob;
import java.util.List;

import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;


/*
 * **************************************************************************
 *  <p>Barrio entity
 *
 * --------------------------------------------------------------------------
 * @version     0.1 04/2013
 * @author      Hibernate CodeGenerator
 * --------------------------------------------------------------------------
 * **************************************************************************
 */
 
public class Barrio implements Serializable {

	private static final long serialVersionUID = -836684532153762638L;

	/** identifier field */
	private BarrioPK barrioPK;
	
	/** persistent field */
	private String descripcion;
	
	/** persistent field */
	private Blob mapa;
	
	private List distancias;
	
	public Barrio(BarrioPK barrioPK, String descripcion, Blob mapa) {
		this.barrioPK = barrioPK;
		this.descripcion = descripcion;
		this.mapa = mapa;
	}
    
	/** full constructor */
    public Barrio(BarrioPK barrioPK, String descripcion, Blob mapa, List distancias) {
        this.barrioPK = barrioPK;
        this.descripcion = descripcion;
        this.mapa = mapa;
        this.distancias = distancias;
    }
    
	/** PK constructor */
	public Barrio(BarrioPK barrioPK) {
		this.barrioPK = barrioPK;
	}
	
    /** default constructor */
    public Barrio() {
    }

	public BarrioPK getBarrioPK() {
		return barrioPK;
	}
	
	public void setBarrioPK(BarrioPK barrioPK) {
		this.barrioPK = barrioPK;
	}
	
	public String getDescripcion() {
		return descripcion;
	}
	
	public void setDescripcion(String string) {
		descripcion = string;
	}

	public Blob getMapa() {
		return mapa;
	}

	public void setMapa(Blob blob) {
		mapa = blob;
	}
	
	public List getDistancias() {
		return distancias;
	}

	public void setListaComentarios(List list) {
		distancias = list;
	}

	public boolean equals(Object other) {
		if ( (this == other ) ) return true;
		if ( !(other instanceof Barrio) ) return false;
		Barrio castOther = (Barrio) other;
		return new EqualsBuilder()
			.append(this.getBarrioPK(), castOther.getBarrioPK())
			.append(this.getDescripcion(), castOther.getDescripcion())
			.append(this.getMapa(), castOther.getMapa())
			.append(this.getDistancias(), castOther.getDistancias())
			.isEquals();
	}

	public int hashCode() {
		return new HashCodeBuilder()
			.append(getBarrioPK())
			.append(getDescripcion())
			.append(getMapa())
			.append(getDistancias())
			.toHashCode();
	}

	public String toString() {
		return new ToStringBuilder(this)
			.append("BarrioPK", getBarrioPK())
			.toString();
	}

}
