package entity.hibernate;

import java.io.Serializable;
import java.util.Date;

import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;

/*
 * **************************************************************************
 *  <p>Comentario entity
 *
 * --------------------------------------------------------------------------
 * @version     0.1 04/2013
 * @author      Hibernate CodeGenerator
 * --------------------------------------------------------------------------
 * **************************************************************************
 */
 
public class Comentario implements Serializable {

	private static final long serialVersionUID = 1836178130592309214L;

	/** persistent field */
	private Integer idPublicacion;

	/** identifier field */
	private Integer idComentario;
	
	/** persistent field */
	private Integer idUsuario; 
	
	/** persistent field */
	private Date fechaComentario;
	
	/** persistent field */
	private String texto;
	
	private Usuario usuario;
	
	/** full constructor */
    public Comentario(Integer idPublicacion, Integer idComentario, Integer idUsuario, Date fechaComentario, String texto) {
 		this.idPublicacion = idPublicacion;
        this.idComentario = idComentario; 
        this.idUsuario = idUsuario;
        this.fechaComentario = fechaComentario;
        this.texto = texto;
    }
    
	/** PK constructor */
	public Comentario(Integer idPublicacion, Integer idComentario) {
 		this.idPublicacion = idPublicacion;
        this.idComentario = idComentario;  
	}
	
    /** default constructor */
    public Comentario() {
    }

	public Integer getIdPublicacion() {
		return idPublicacion;
	}
	
	public void setIdPublicacion(Integer integer) {
		idPublicacion = integer;
	}
	
	public Integer getIdComentario() {
		return idComentario;
	}

	public void setIdComentario(Integer integer) {
		idComentario = integer;
	}
	
	public Integer getIdUsuario() {
		return idUsuario;
	}

	public void setIdUsuario(Integer integer) {
		idUsuario = integer;
	}

	public Date getFechaComentario() {
		return fechaComentario;
	}

	public void setFechaComentario(Date date) {
		fechaComentario = date;
	}

	public String getTexto() {
		return texto;
	}

	public void setTexto(String string) {
		texto = string;
	}

	public Usuario getUsuario() {
		return usuario;
	}

	public void setUsuario(Usuario usuario) {
		this.usuario = usuario;
	}

	public boolean equals(Object other) {
		if ( (this == other ) ) return true;
		if ( !(other instanceof Comentario) ) return false;
		Comentario castOther = (Comentario) other;
		return new EqualsBuilder()
			.append(this.getIdPublicacion(), castOther.getIdPublicacion())
			.append(this.getIdComentario(), castOther.getIdComentario())
			.append(this.getIdUsuario(), castOther.getIdUsuario())
			.append(this.getFechaComentario(), castOther.getFechaComentario())
			.append(this.getTexto(), castOther.getTexto())
			.isEquals();
	}

	public int hashCode() {
		return new HashCodeBuilder()
			.append(getIdPublicacion())
			.append(getIdComentario())
		 	.append(getIdUsuario())
			.append(getFechaComentario())
			.append(getTexto())
			.toHashCode();
	}

	public String toString() {
		return new ToStringBuilder(this)
			.append("idComentario", getIdComentario())
			.toString();
	}

}
