<!--

/*
 * **************************************************************************
 * <p>SCR02AccesoUsuario
 *
 * --------------------------------------------------------------------------
 * @version     0.1 04/2013
 * @author      Fina Cara
 * --------------------------------------------------------------------------
 * **************************************************************************
 */
 
-->

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<HTML>

<head>
	<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
		pageEncoding="ISO-8859-1"%>
	
	<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html"%>
	<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean"%>
	<%@ taglib uri="/WEB-INF/struts-tiles.tld" prefix="tiles"%>
	<%@ taglib uri="/WEB-INF/taglibs-i18n.tld" prefix="i18n"%>
	
	<%@ page import="control.utility.ApplicationGlobals"%>
	<%@ page import="control.utility.ApplicationStore"%>
	<%@ page import="control.utility.ApplicationEvent"%>
	<%@ page import="control.utility.BusinessGlobals"%>
	<%@ page import="control.utility.ApplicationError"%>
	<%@ page import="java.util.ArrayList"%>
	<%@ page import="usecase.RegistrarUsuario" %> 	
	
	<script language="JavaScript" type="text/JavaScript">
	 		document.getElementById('username').focus()
	</script>
	
	<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
	<META http-equiv="Content-Style-Type" content="text/css">
	
	<LINK href="<%= ApplicationGlobals.DEFAULT_STATIC_ROOT %>theme/Aparbar.css" rel="stylesheet" type="text/css">
	
	<script language="JavaScript" src="<%= ApplicationGlobals.DEFAULT_STATIC_ROOT %>js/comun.js" type="text/javaScript"></script>
	<script language="JavaScript" src="<%= ApplicationGlobals.DEFAULT_STATIC_ROOT %>js/utils.js" type="text/javaScript"></script>

	<tiles:insert page="/jsp/layouts/utils/HEAD001_LanguageData.jsp" flush="true"/>
	
	<%
		ApplicationStore store = new ApplicationStore(session);
		ApplicationEvent event = store.getEvent();
		String useCaseName = event.getActiveUseCase().getClass().getName();
		ArrayList errorList = store.getEvent().getApplicationErrors();
		
		String useCaseNameRegistrarUsuario = new RegistrarUsuario(store).getClass().getName();
	%>
</head>

<BODY>
<form id="b" method="post" name="formulario">

<div id="header">
	<table width="100%">
		<tr>
			<td>
				<img width="120" height="120" src="<%= ApplicationGlobals.DEFAULT_STATIC_ROOT + "images/logoAparbar.png" %>" border="0" id="EntryTitle" usemap="#Map">
			</td>
			<td>
			<table><tr><td>
			<b><label><i18n:message key="scr02.label.title"/></label></b>
			</td></tr>
			<tr><td>
				<a class="image" onclick="doBusiness('<%= ApplicationGlobals.DEFAULT_DYNAMIC_ROOT %>', '<%= ApplicationGlobals.SERVLET_NAME %>', 'formulario' ,'<%= ApplicationGlobals.SYSTEM_APPLICATION_EVENT_MENU_NAVIGATE %>', 'DUMMY', '<%= useCaseNameRegistrarUsuario %>');">
					<img border="0"	src="<%= ApplicationGlobals.DEFAULT_STATIC_ROOT %><i18n:message key="button.registrar"/>"></a>
			</td></tr></table>
			
			<td align="right">
				<table width="614">
					<tr>
						<td width="200">
							<b><label><i18n:message key="scr01.label.email"/></label></b>
						</td>
					</tr>
					<tr>
						<td>
							<input type="text" name="<%= BusinessGlobals.DTO_FIELD_SCR0001_USERNAME %>" autocomplete="off" id="username" size="100">
						</td>
					</tr>
					<tr colspan="2">
						<td width="100">
							<b><label><i18n:message key="scr01.label.password"/></label></b>
						</td>
					</tr>
					<tr>
						<td>
							<input type="password" name="<%= BusinessGlobals.DTO_FIELD_SCR0001_PASSWORD %>" onkeydown="if (event.keyCode==13) doBusiness('<%= ApplicationGlobals.DEFAULT_DYNAMIC_ROOT %>', '<%= ApplicationGlobals.SERVLET_NAME %>', 'formulario' ,'<%= ApplicationGlobals.SYSTEM_APPLICATION_EVENT_ACCEPT %>', 'DUMMY', '<%= useCaseName %>');" size="40">
						</td>
					</tr>
					<tr>
						<td align="right">
							<a class="image" onclick="doBusiness('<%= ApplicationGlobals.DEFAULT_DYNAMIC_ROOT %>', '<%= ApplicationGlobals.SERVLET_NAME %>', 'formulario' ,'<%= ApplicationGlobals.SYSTEM_APPLICATION_EVENT_ACCEPT %>', 'DUMMY', '<%= useCaseName %>');">
								<img border="0"	src="<%= ApplicationGlobals.DEFAULT_STATIC_ROOT %><i18n:message key="button.aceptar"/>"></a>
						</td>
					</tr>
					<tr>
						<td width="200">
							<%	if (errorList != null && errorList.size() > 0) { %> 
							<br>
							<img src="<%= ApplicationGlobals.DEFAULT_STATIC_ROOT %>/images/redBullet.gif" class="image"> 
							<label class="text"><i18n:message key="<%= ((ApplicationError) errorList.get(0)).getMessageId() %>" /></label>
							<%	Object[] parameters = ((ApplicationError) errorList.get(0)).getMessageParameters();
								if (parameters != null) {
									for (int j = 0; j < parameters.length; j++) { %>
							 <label class="whiteText"><i18n:messageArg value="<%=parameters[j]%>" /></label> 
							 <%	} } } %>
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
</div>

<div class="section">
				<CENTER>
					<img src="<%= ApplicationGlobals.DEFAULT_STATIC_ROOT + "images/backgroundImage.png" %>" border="0" id="EntryBackground" usemap="#Map">
				</CENTER>
</div> 

<div id="footer" align="right"><a>by Fina Cara Fernndez</a></div>

</form>
</BODY>
</HTML>