<!--
 
/*
 * **************************************************************************
 * <p>SCR3PublicarComentario.jsp
 *
 * --------------------------------------------------------------------------
 * @version     0.1 04/2013
 * @author      Fina Cara
 * --------------------------------------------------------------------------
 * **************************************************************************
 */
 
-->


<html>
<head>

	<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1" %> 
	
	<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %> 
	<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %> 
	<%@ taglib uri="/WEB-INF/struts-tiles.tld" prefix="tiles" %>
	<%@ taglib uri="/WEB-INF/taglibs-i18n.tld" prefix="i18n" %>
	
	<%@ page import="control.utility.ApplicationGlobals" %> 		
	<%@ page import="control.utility.ApplicationStore" %> 	
	<%@ page import="control.utility.BusinessGlobals" %>
	<%@ page import="control.utility.ApplicationEvent" %>
	<%@ page import="control.utility.Utility" %>	
	<%@ page import="entity.Envelope" %>
	<%@ page import="entity.hibernate.Usuario" %>
	<%@ page import="entity.hibernate.Publicacion" %>
	<%@ page import="entity.hibernate.Zona" %>
	<%@ page import="entity.hibernate.Barrio" %>
			
	<%@ page import="java.util.ArrayList" %>
	<%@ page import="java.util.List" %>
	<%@ page import="java.util.Date" %>
	<%@ page import="java.text.SimpleDateFormat" %>
	
	<script language="JavaScript" src="<%= ApplicationGlobals.DEFAULT_STATIC_ROOT %>js/comun.js" type="text/javaScript"></script>
	<script language="JavaScript" src="<%= ApplicationGlobals.DEFAULT_STATIC_ROOT %>js/utils.js" type="text/javaScript"></script>	

	<tiles:insert page="/jsp/layouts/utils/HEAD001_LanguageData.jsp" flush="true"/>
</head>

	<%
		ApplicationStore appStore = new ApplicationStore(session);
		String useCaseName = appStore.getEvent().getActiveUseCase().getClass().getName();
	
		ApplicationEvent appEvent = appStore.getEvent();
		Envelope env = (Envelope)appEvent.getDto(); 
	 	Object[] params = (env!=null && env.getContent()!=null)?(Object[])env.getContent():new Object[0];

		Usuario usuario = Utility.getLoggedUser(appStore);
	 	Publicacion publicacion	= (params.length > 0 && params[0]!=null)? (Publicacion)params[0] : new Publicacion();
	 	List listaZonas = (params.length > 1 && params[1]!=null)? new ArrayList((List)params[1]) : new ArrayList();
	 	List listaBarrios = (params.length > 2 && params[2]!=null)? new ArrayList((List)params[2]) : new ArrayList();
	%>

<script language="JavaScript">
	
	function actualizarListaBarrios()
	{
		var zonas = document.getElementById("zonas");
		var idZona = zonas.options[zonas.selectedIndex].value;
		var barrios = document.getElementById("barrios");
		
		var tamano = <%= listaBarrios.size() %>
		var array_idZonas = new Array(tamano);
		var array_idBarrios = new Array(tamano);
		var array_Barrios = new Array(tamano);

	<%	int l;
		for(l=0; l< listaBarrios.size(); l++)
		{	%>
			array_idZonas[<%=l%>] = <%= ((Barrio)listaBarrios.get(l)).getBarrioPK().getIdZona() %>;
			array_idBarrios[<%=l%>] = <%= ((Barrio)listaBarrios.get(l)).getBarrioPK().getIdBarrio() %>;
			array_Barrios[<%=l%>] = "<%= ((Barrio)listaBarrios.get(l)).getDescripcion() %>";
	<%	}	%>

		var len= barrios.options.length;
		for (var b=0; b<len; b++) {
			barrios.options[0]=null;
		}
		
		var ind = 0;	
		for (var a=0; a<tamano; a++) {
			if (array_idZonas[a]==idZona) {
				op = document.createElement("OPTION");	
				op.value = array_idBarrios[a];
				op.text = array_Barrios[a];
				barrios.options[ind] = op;
				ind++;
			}
		}
	}
</script>


<BODY>	  
<form id="b" enctype="MULTIPART/FORM-DATA" method="post" name="formulario">

	<table><tr><td width="100"></td><td>
	<table width="100%" align="center">
	
	<% 	SimpleDateFormat dtf = new SimpleDateFormat("yyyy-MM-dd hh:mm:ss"); %>
		<tr>
			<td>
				<input type="hidden" name="<%= BusinessGlobals.DTO_FIELD_USER_ID %>" value="<%= usuario.getIdUsuario() %>">
				<b><i18n:message key="scr07.label.fechaPublicacion"/></b>
				</td><td colspan="3">
				<input type="text" name="<%= BusinessGlobals.DTO_FIELD_PUBLICATION_FECHAPUBLICACION %>" value="<%= dtf.format((Date)publicacion.getFechaPublicacion()) %>" size="25" readonly="readonly">
			</td>
		</tr>
		<tr>
			<td>
				<b><i18n:message key="scr07.label.textoPublicacion"/></b>
				</td><td colspan="3">
				<textarea type="text" name="<%= BusinessGlobals.DTO_FIELD_PUBLICATION_TEXTO %>" cols="100" rows="5"><%= publicacion!=null && publicacion.getTexto()!=null? publicacion.getTexto():"" %></textarea>
			</td>
		</tr>
		<tr>
			<td>
				<b><i18n:message key="scr07.label.imagenPublicacion"/></b>
				</td><td colspan="3">
				<input type="file" name="<%= BusinessGlobals.DTO_FIELD_PUBLICATION_FICHEROIMAGEN %>" size="40" accept="image/*">
			</td>
		</tr>
		<tr>
			<td>
				<b><i18n:message key="scr07.label.linkPublicacion"/></b>
				</td><td colspan="3">
				<input type="text" name="<%= BusinessGlobals.DTO_FIELD_PUBLICATION_LINK %>" value="<%= publicacion!=null && publicacion.getLink()!=null ? publicacion.getLink():"" %>" size="100">
			</td>
		</tr>								
		<tr>
			<td>
				<b><i18n:message key="scr07.label.zonaPublicacion"/></b>
				</td><td>
				<select id="zonas" name="<%= BusinessGlobals.DTO_FIELD_PUBLICATION_ZONA %>" size=10 style="width: 300;" onclick="actualizarListaBarrios()">
			<%  	Integer idZona = ((Zona)listaZonas.get(0)).getIdZona();
					for (int x = 0; x < listaZonas.size(); x++) {
					Zona zona = (Zona)listaZonas.get(x);  %>
					<option value="<%=zona.getIdZona()%>" <%= x==0?"selected":"" %>><%= zona.getDescripcion() %></option>
			<%  }  %>
				</select>
				</td><td>
				<b><i18n:message key="scr07.label.barrioPublicacion"/></b> 
				</td><td>
				<select id="barrios" name="<%= BusinessGlobals.DTO_FIELD_PUBLICATION_BARRIO %>" size=10 style="width: 300;">
			<%  for (int x = 0; x < listaBarrios.size(); x++) {
					Barrio barrio = (Barrio)listaBarrios.get(x);  
					if (barrio.getBarrioPK().getIdZona().equals(idZona)) %>
					<option value="<%= barrio.getBarrioPK().getIdBarrio() %>"><%= barrio.getDescripcion() %></option>
			<%  }  %>
				</select>
			</td>
		</tr>
		<tr>
			<td>
				<b><i18n:message key="scr07.label.direccionPublicacion"/></b>
				</td><td colspan="3">
				<input type="text" name="<%= BusinessGlobals.DTO_FIELD_PUBLICATION_DIRECCION %>" value="<%= publicacion!=null && publicacion.getDireccion()!=null? publicacion.getDireccion():"" %>" size="100">
			</td>
		</tr>
		<tr>
			<td colspan="2"></td><td align="left">
				<a class="image" onclick="doBusiness('<%= ApplicationGlobals.DEFAULT_DYNAMIC_ROOT %>', '<%= ApplicationGlobals.SERVLET_NAME %>', 'formulario' ,'<%= ApplicationGlobals.SYSTEM_APPLICATION_EVENT_ACCEPT_WITH_FILES %>', 'DUMMY', '<%= useCaseName %>');">
				<img border="0"	src="<%= ApplicationGlobals.DEFAULT_STATIC_ROOT %><i18n:message key="button.aceptar"/>"></a>		
			</td>
			<td align="left">
				<a class="image" onclick="doBusiness('<%= ApplicationGlobals.DEFAULT_DYNAMIC_ROOT %>', '<%= ApplicationGlobals.SERVLET_NAME %>', 'formulario' ,'<%= ApplicationGlobals.SYSTEM_APPLICATION_EVENT_CANCEL %>', 'DUMMY', '<%= useCaseName %>');">
				<img border="0"	src="<%= ApplicationGlobals.DEFAULT_STATIC_ROOT %><i18n:message key="button.cancelar"/>"></a>		
			</td>
		</tr>			
	</table>
	</td></tr></table>
</form>

</BODY>
</html>
