<!--
 
/*
 * **************************************************************************
 * <p>SCR06SeguimientoUsuarios.jsp
 *
 * --------------------------------------------------------------------------
 * @version     0.1 04/2013
 * @author      Fina Cara
 * --------------------------------------------------------------------------
 * **************************************************************************
 */
 
-->


<html>
<head>

	<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1" %> 
	
	<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %> 
	<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %> 
	<%@ taglib uri="/WEB-INF/struts-tiles.tld" prefix="tiles" %>
	<%@ taglib uri="/WEB-INF/taglibs-i18n.tld" prefix="i18n" %>
	
	<%@ page import="control.utility.ApplicationGlobals" %> 
	<%@ page import="control.utility.ApplicationStore" %> 	
	<%@ page import="control.utility.BusinessGlobals" %>
	<%@ page import="control.utility.ApplicationEvent" %>
	<%@ page import="control.utility.Utility" %>	
	<%@ page import="entity.Envelope" %>
	<%@ page import="entity.hibernate.Usuario" %>
			
	<%@ page import="java.util.ArrayList" %>
	<%@ page import="java.util.List" %>
	<%@ page import="java.util.Iterator" %>
	
	<script language="JavaScript" src="<%= ApplicationGlobals.DEFAULT_STATIC_ROOT %>js/comun.js" type="text/javaScript"></script>
	<script language="JavaScript" src="<%= ApplicationGlobals.DEFAULT_STATIC_ROOT %>js/utils.js" type="text/javaScript"></script>	
	
	<tiles:insert page="/jsp/layouts/utils/HEAD001_LanguageData.jsp" flush="true"/>
</head>

	<%
		ApplicationStore appStore = new ApplicationStore(session);
		String useCaseName = appStore.getEvent().getActiveUseCase().getClass().getName();
	
		ApplicationEvent appEvent = appStore.getEvent();
		Envelope env = (Envelope)appEvent.getDto(); 
	 	Object[] params = (env!=null && env.getContent()!=null)?(Object[])env.getContent():new Object[0];

		Usuario usuario = Utility.getLoggedUser(appStore);
	 	ArrayList listSeguimientos	= (params.length > 1 && params[1]!=null)? new ArrayList((List)params[1]) : new ArrayList();
		ArrayList listUsuarios	= (params.length > 2 && params[2]!=null)? new ArrayList((List)params[2]) : new ArrayList();
	%>

<BODY>	  
<form id="b" method="post" name="formulario">
<table><tr><td width="100"></td><td>
	<table width="100%">
		<tr>
			<td valign="top">
				<table width="100%">
				<tr>
					<td>
					<b><i18n:message key="scr07.label.seguimientosUsuario"/></b> 
					</td>
				</tr>
		<% 	Iterator se = listSeguimientos.iterator();
			while (se.hasNext()) {
				Usuario usuarioSeguido = (Usuario)se.next(); %>
				<tr><td>
						<input type="text" value="<%= (usuarioSeguido.getNombre()!=null && usuarioSeguido.getApellidos()!=null ? ((usuarioSeguido.getNombre()!=null ? usuarioSeguido.getNombre() + " ":"") + (usuarioSeguido.getApellidos()!=null ? usuarioSeguido.getApellidos():"")): usuarioSeguido.getEmail()) %>" size="60" readonly="readonly">
					</td>
				</tr>

		<%	}  %>
				</table>
			</td>

			<td colspan="2">
				<table width="100%">
				<tr>
					<td>
				<b><i18n:message key="scr07.label.usuarios"/></b> 
				</td>
				</tr><tr><td>		
				<select multiple id="usuarios" name="<%= BusinessGlobals.DTO_FIELD_USER_ID %>" size=20 style="width: 300px;">
			<%  for (int x = 0; x < listUsuarios.size(); x++) {
					Usuario usuarioSeguir = (Usuario)listUsuarios.get(x);  %>
					<option value="<%=usuarioSeguir.getIdUsuario() %>"><%= (usuarioSeguir.getNombre()!=null && usuarioSeguir.getApellidos()!=null ? ((usuarioSeguir.getNombre()!=null ? usuarioSeguir.getNombre() + " ":"") + (usuarioSeguir.getApellidos()!=null ? usuarioSeguir.getApellidos():"")): usuarioSeguir.getEmail()) %></option>
			<%  }  %>
				</select>
				</td></tr>
				</table>

			</td>
		</tr>
		<tr>
			<td></td>
			<td>
				<a class="image" onclick="doBusiness('<%= ApplicationGlobals.DEFAULT_DYNAMIC_ROOT %>', '<%= ApplicationGlobals.SERVLET_NAME %>', 'formulario' ,'<%= ApplicationGlobals.SYSTEM_APPLICATION_EVENT_ACCEPT %>', 'DUMMY', '<%= useCaseName %>');">
				<img border="0"	src="<%= ApplicationGlobals.DEFAULT_STATIC_ROOT %><i18n:message key="button.aceptar"/>"></a>		
			</td>
			<td>
				<a class="image" onclick="doBusiness('<%= ApplicationGlobals.DEFAULT_DYNAMIC_ROOT %>', '<%= ApplicationGlobals.SERVLET_NAME %>', 'formulario' ,'<%= ApplicationGlobals.SYSTEM_APPLICATION_EVENT_CANCEL %>', 'DUMMY', '<%= useCaseName %>');">
				<img border="0"	src="<%= ApplicationGlobals.DEFAULT_STATIC_ROOT %><i18n:message key="button.cancelar"/>"></a>		
			</td>
		</tr>
	</table>
	</td></tr></table>
</form>

</BODY>
</html>
