<!--
 
 /*
 * **************************************************************************
 * <p>FOOT001_ErrorsData.jsp
 *
 * --------------------------------------------------------------------------
 * @version     0.1 04/2013
 * @author      Fina Cara
 * --------------------------------------------------------------------------
 * **************************************************************************
 */
 
-->

<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1" %> 

<%@ taglib uri="/WEB-INF/taglibs-i18n.tld" prefix="i18n" %>
 
<%@ page import="java.util.ArrayList" %> 
<%@ page import="javax.servlet.http.HttpSession" %>
<%@ page import="control.utility.ApplicationStore" %>
<%@ page import="control.utility.ApplicationEvent" %>
<%@ page import="control.utility.ApplicationError" %>
<%@ page import="control.utility.ApplicationGlobals" %>
<%@ page import="control.utility.BusinessGlobals" %>
<%@ page import="java.util.Locale" %>

<LINK href = "<%= ApplicationGlobals.DEFAULT_STATIC_ROOT %>theme/Aparbar.css" rel="stylesheet" type="text/css" />

<%
	ApplicationStore as = new ApplicationStore(request.getSession());
	ApplicationEvent ae =(ApplicationEvent) as.getEvent();
	if (ae.getApplicationErrors()!=null && ae.getApplicationErrors().size() > 0) {
		ArrayList errors = ae.getApplicationErrors();
%>

	<div style="width:95%">
	<img src="<%= ApplicationGlobals.DEFAULT_STATIC_ROOT %>images/linea.gif" border="0" width="100%" height="5">
	<br>
	<% if (errors.size()>0){ %><p><font class="tituloErrores">Se han detectado los siguientes errores</font></p><% } %>
	<TABLE border="0" cellspacing="0" cellpadding="0" width="100%">
	<TBODY>
	<%
		for (int i=0;i<errors.size();i++) {
			ApplicationError error = (ApplicationError) errors.get(i);
	%>
			<tr>
				<td width="10px" align="left" valign="middle">
					<IMG border="0" src="<%= ApplicationGlobals.DEFAULT_STATIC_ROOT %>images/redBullet.gif">
				</td>
				<td class="detalleErrors">
				
				<% if (error.getCode()==-1){ %>
					<%=error.getMessageId()%>
				<% } else {%>
				<% if (error.getCode()!=ApplicationError.NO_ERROR){ %>
					<b><i18n:message key="<%=Integer.toString(error.getCode())%>"/></b> : <%=error.getMessageId()%>
					<%
						Object[] parameters = error.getMessageParameters();
						if (parameters!=null){
							for (int j=0;j<parameters.length;j++){	
					%>	
							<i18n:messageArg value="<%=parameters[j]%>"/>
					<% 		} 
						}
					%>

				<% } else {%>
					<i18n:message key="system.error.noError"/>
				<% } 
				}
				%>
			</td></tr>
	<%			
		}
	%>
	</TBODY>
	</TABLE>
	</div>
<% } %>