<!--
 
/*
 * **************************************************************************
 * <p>LAY0001_Header.jsp
 *
 * --------------------------------------------------------------------------
 * @version     0.1 04/2013
 * @author      Fina Cara
 * --------------------------------------------------------------------------
 * **************************************************************************
 */
 
-->

<html>

<head>
	
	<%@ page language="java" contentType="text/html; charset=ISO-8859-1" %> 

	<%@ taglib uri="/WEB-INF/struts-tiles.tld" prefix="tiles" %>
	<%@ taglib uri="/WEB-INF/menu.tld" prefix="menu" %>
	<%@ taglib uri="/WEB-INF/taglibs-i18n.tld" prefix="i18n" %>

	<%@ page import="control.utility.ApplicationGlobals" %>
	<%@ page import="control.utility.ApplicationStore" %> 
	<%@ page import="entity.hibernate.Usuario" %>
	<%@ page import="control.utility.Utility" %>
	<%@ page import="java.util.Locale" %>
			
	<tiles:insert page="/jsp/layouts/utils/HEAD001_LanguageData.jsp" flush="true"/>
	
	<script language="JavaScript" src="<%= ApplicationGlobals.DEFAULT_STATIC_ROOT %>js/comun.js" type="text/javaScript" ></script>
	<script type='text/javascript'>function Go(){return}</script>
	<script language="JavaScript" src="<%= ApplicationGlobals.DEFAULT_STATIC_ROOT %>js/menu_var.js" type="text/javaScript" ></script>

	<%
		ApplicationStore store = new ApplicationStore(request.getSession());
		
		//Getting Local...
		Locale locale = Utility.getLanguage(store);
		
		//Getting User...
		Usuario user = (Usuario)store.getObject(ApplicationGlobals.SYSTEM_LOGGED_USER_OBJECT);
		
		String servletName = ApplicationGlobals.SERVLET_NAME;
		String contextRoot = ApplicationGlobals.SERVLET_CONTEXT;
		String staticPath = ApplicationGlobals.DEFAULT_STATIC_ROOT;
		
		String target = ApplicationGlobals.DEFAULT_DYNAMIC_ROOT+ApplicationGlobals.SERVLET_NAME+"?"+
			ApplicationGlobals.SYSTEM_PARAM_ID_EVENT+"="+ApplicationGlobals.SYSTEM_APPLICATION_EVENT_MENU_NAVIGATE+"&"+
			ApplicationGlobals.SYSTEM_PARAM_ID_EVENT_PARAMETERS+"="+ApplicationGlobals.SYSTEM_APPLICATION_EVENT_GOHOME;
	%>

</head>

<body topmargin="0" leftmargin="0" rightmargin="0">

  <!-- Paint area --> 	
  <table cellspacing="0" width="100%" cellpadding="0" border="0"><tbody>
  <tr>
  	<td width="100" align="left"><img width="75"  src="<%= ApplicationGlobals.DEFAULT_STATIC_ROOT %>images/logoAparbar.png" height="75"></td>
  	<td width="100%" align="left"><img src="<%= ApplicationGlobals.DEFAULT_STATIC_ROOT %>images/fondodiff.gif" height="75" width="100%"></td>
  	<td width="76" align="left"><img  width="76"  src="<%= ApplicationGlobals.DEFAULT_STATIC_ROOT %>images/fondohelp.gif"  height="75" width="100%" usemap="#Home" class="image" border="0"></td>
  </tr>
  </tbody></table> 

  	<map name="Home">
	  
	  <area shape="circle" coords="56,17,11" href="<%= ApplicationGlobals.DEFAULT_STATIC_ROOT %>index.html" target="_parent" class="image" title="<i18n:message key="system.global.logout"/>">
	</map>
 
</body>
</html>
