package prueba.conexion;

import java.io.IOException;
import java.util.List;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import control.utility.ApplicationException;
import control.utility.ApplicationGlobals;

import database.hibernate.SystemHibernateDaoDbUtility;
import database.utility.FabricaHibernateDaoDatabase;
import database.utility.HibernateUtil;
import entity.hibernate.Usuario;

import org.hibernate.Criteria;
import org.hibernate.HibernateException;
import org.hibernate.Session;


/**
 * Servlet implementation class for Servlet: Conexion
 *
 */
 public class Conexion extends javax.servlet.http.HttpServlet implements javax.servlet.Servlet {
    /**
	 * 
	 */
	private static final long serialVersionUID = -8554518380167298631L;

	public Conexion() {
		super();
	}   
	public void service (HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
		Session session;

			try {
				session = HibernateUtil.currentSession(ApplicationGlobals.HIBERNATE_FACTORY);

				FabricaHibernateDaoDatabase daoUtility = new FabricaHibernateDaoDatabase(session);
				Criteria criteria = session.createCriteria(Usuario.class);
			
				List list = daoUtility.retrieve(criteria);
				if (list!=null && list.size()>0){

			}
			
			//close database transaction...
			HibernateUtil.closeSession(ApplicationGlobals.HIBERNATE_FACTORY);
			} catch (HibernateException e) {
				// TODO Bloque catch generado automticamente
				e.printStackTrace();
			}
		
	}

}